State
{
       StateName = "Dragon_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "KazizDead"},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 126, Amount = 1},
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 8, X = 239.232, Y = 414.017},
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        GateSetOpen   {Tag = "ShaperGate01"}, 
                        FigureRun {Tag = "pl_Human01Avatar", X = 222.596, Y = 399.069},           
                        EntityTimerStart {Name = "et2_CStimer_01"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_01", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},   
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 113.628},
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},               
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                   
                        EntityTimerStart {Name = "et2_CStimer_04"},
                },
                GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},       
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 126, Amount = 1},
                        MapFlagSetTrue {Name = "Dragon_Quest"},	
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Dragon_Cutscene", Range = 13, Height = 100},
		},
                GotoState = "ResurrectionOfDragon",	
        },
};

State
{
       StateName = "ResurrectionOfDragon",

       OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "TheDragon01"},
                        FigureIsDead {Tag = "TheDragon02"},
                        FigureIsDead {Tag = "TheDragon03"},
                        FigureIsDead {Tag = "TheDragon04"},
                        FigureIsDead {Tag = "TheDragon05"},
                        FigureIsDead {Tag = "TheDragon06"},
                        MapFlagIsTrue {Name = "Dragon_Quest"},	
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 12, X = 123.457, Y = 584.549},
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        SoundGlobalPlayOnce	{File = "06_level/map_no_01_horn"},
                        FigureVanish	{Tag = "Dragon_lying"},
                        FigureNpcSpawn	{Tag = "Noradim", Level = 30, UnitId = 1235, X = 44.677, Y = 616.237, Team = "tm_Team 1"},
                        FigurePlayerTransfer {Tag = "Noradim", Player = "pl_Human01"}, 
                        FigureLookAtDirection {Tag = "Noradim", Direction = 50.603},
                        GateSetOpen   {Tag = "RagnaGate01"}, 
                        AvatarXPGive	{Player = "pl_Human01", Amount = 12710},           
                        EntityTimerStart {Name = "et3_CStimer_01"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_01", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FigureKill	{Tag = "Chosen01"},
                        FigureKill	{Tag = "Chosen02"},
                        FigureKill	{Tag = "Chosen03"},
                        FigureKill	{Tag = "Chosen04"},
                        FigureKill	{Tag = "Chosen05"},
                        FigureKill	{Tag = "Mage01"},
                        FigureKill	{Tag = "Mage02"},
                        FigureKill	{Tag = "Mage03"},
                        FigureKill	{Tag = "Mage04"},
                        FigureKill	{Tag = "Mage05"},
                        FigureKill	{Tag = "Spike01"},
                        FigureKill	{Tag = "Spike02"},
                        FigureKill	{Tag = "Spike03"},
                        FigureKill	{Tag = "Spike04"},
                        FigureKill	{Tag = "Spike05"},
                        FigureKill	{Tag = "Bazun01"},
                        FigureKill	{Tag = "Bazun02"},
                        FigureKill	{Tag = "Bazun03"},
                        FigureKill	{Tag = "Bazun04"},
                        FigureKill	{Tag = "Bazun05"},
                        FigureKill	{Tag = "Offender"},
                        MapFlagSetTrue {Name = "Dragon_Completed"},
		},
        },
};