State
{
       StateName = "TeleportationMachine",

       OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Prophet01"},
                        FigureIsDead {Tag = "Prophet02"},
                        FigureIsDead {Tag = "Prophet03"},
                        MapFlagIsTrue {Name = "ClonedEnemies"},
		},
		Actions =
		{
                        ObjectVanish	{Tag = "Machine01"},
                        ObjectVanish	{Tag = "Machine02"},
                        ObjectVanish	{Tag = "Machine03"},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 5523},
                        EffectStartAddon1	{Tag = "Effect01", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect02", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect03", File = "Effect_Misc_ExplodingBarrel"},
                        FigureKill	{Tag = "Chosen01"},
                        FigureKill	{Tag = "Chosen02"},
                        FigureKill	{Tag = "Chosen03"},
                        FigureKill	{Tag = "Chosen04"},
                        FigureKill	{Tag = "Chosen05"},
                        FigureKill	{Tag = "Mage01"},
                        FigureKill	{Tag = "Mage02"},
                        FigureKill	{Tag = "Mage03"},
                        FigureKill	{Tag = "Mage04"},
                        FigureKill	{Tag = "Mage05"},
                        FigureKill	{Tag = "Spike01"},
                        FigureKill	{Tag = "Spike02"},
                        FigureKill	{Tag = "Spike03"},
                        FigureKill	{Tag = "Spike04"},
                        FigureKill	{Tag = "Spike05"},
                        FigureKill	{Tag = "Bazun01"},
                        FigureKill	{Tag = "Bazun02"},
                        FigureKill	{Tag = "Bazun03"},
                        FigureKill	{Tag = "Bazun04"},
                        FigureKill	{Tag = "Bazun05"},
                        FigureKill	{Tag = "Offender"},
		},
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Lokhar01"},
                        FigureIsDead {Tag = "Lokhar02"},
                        FigureIsDead {Tag = "Lokhar03"},
                        MapFlagIsTrue {Name = "ClonedEnemies"},
		},
		Actions =
		{
                        ObjectVanish	{Tag = "Machine04"},
                        ObjectVanish	{Tag = "Machine05"},
                        ObjectVanish	{Tag = "Machine06"},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 5523},
                        EffectStartAddon1	{Tag = "Effect04", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect05", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect06", File = "Effect_Misc_ExplodingBarrel"},
                        FigureKill	{Tag = "Chosen01"},
                        FigureKill	{Tag = "Chosen02"},
                        FigureKill	{Tag = "Chosen03"},
                        FigureKill	{Tag = "Chosen04"},
                        FigureKill	{Tag = "Chosen05"},
                        FigureKill	{Tag = "Mage01"},
                        FigureKill	{Tag = "Mage02"},
                        FigureKill	{Tag = "Mage03"},
                        FigureKill	{Tag = "Mage04"},
                        FigureKill	{Tag = "Mage05"},
                        FigureKill	{Tag = "Spike01"},
                        FigureKill	{Tag = "Spike02"},
                        FigureKill	{Tag = "Spike03"},
                        FigureKill	{Tag = "Spike04"},
                        FigureKill	{Tag = "Spike05"},
                        FigureKill	{Tag = "Bazun01"},
                        FigureKill	{Tag = "Bazun02"},
                        FigureKill	{Tag = "Bazun03"},
                        FigureKill	{Tag = "Bazun04"},
                        FigureKill	{Tag = "Bazun05"},
                        FigureKill	{Tag = "Offender"},
		},
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Kaziz01"},
                        FigureIsDead {Tag = "Kaziz02"},
                        MapFlagIsTrue {Name = "ClonedEnemies"},
		},
		Actions =
		{
                        ObjectVanish	{Tag = "Machine07"},
                        ObjectVanish	{Tag = "Machine08"},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 5523},
                        EffectStartAddon1	{Tag = "Effect07", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect08", File = "Effect_Misc_ExplodingBarrel"},
                        FigureKill	{Tag = "Chosen01"},
                        FigureKill	{Tag = "Chosen02"},
                        FigureKill	{Tag = "Chosen03"},
                        FigureKill	{Tag = "Chosen04"},
                        FigureKill	{Tag = "Chosen05"},
                        FigureKill	{Tag = "Mage01"},
                        FigureKill	{Tag = "Mage02"},
                        FigureKill	{Tag = "Mage03"},
                        FigureKill	{Tag = "Mage04"},
                        FigureKill	{Tag = "Mage05"},
                        FigureKill	{Tag = "Spike01"},
                        FigureKill	{Tag = "Spike02"},
                        FigureKill	{Tag = "Spike03"},
                        FigureKill	{Tag = "Spike04"},
                        FigureKill	{Tag = "Spike05"},
                        FigureKill	{Tag = "Bazun01"},
                        FigureKill	{Tag = "Bazun02"},
                        FigureKill	{Tag = "Bazun03"},
                        FigureKill	{Tag = "Bazun04"},
                        FigureKill	{Tag = "Bazun05"},
                        FigureKill	{Tag = "Offender"},
                        MapFlagSetTrue {Name = "KazizDead"},
		},
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Falkmar01"},
                        FigureIsDead {Tag = "Falkmar02"},
                        MapFlagIsTrue {Name = "ClonedEnemies"},
		},
		Actions =
		{
                        ObjectVanish	{Tag = "Machine09"},
                        ObjectVanish	{Tag = "Machine10"},
                        EffectStartAddon1	{Tag = "Effect09", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect10", File = "Effect_Misc_ExplodingBarrel"},
		},
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Ragna01"},
                        FigureIsDead {Tag = "Ragna02"},
                        FigureIsDead {Tag = "Ragna03"},
                        MapFlagIsTrue {Name = "ClonedEnemies"},
		},
		Actions =
		{
                        ObjectVanish	{Tag = "Machine11"},
                        ObjectVanish	{Tag = "Machine12"},
                        ObjectVanish	{Tag = "Machine13"},
                        EffectStartAddon1	{Tag = "Effect11", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect12", File = "Effect_Misc_ExplodingBarrel"},
                        EffectStartAddon1	{Tag = "Effect13", File = "Effect_Misc_ExplodingBarrel"},
		},
        },
};