State
{
       StateName = "Ragna_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Last_Fight"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 14, X = 160.999, Y = 357.961},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Ragna_03", Tag = "Ragna01", PlayTalkAnim = default},
                        ObjectSpawn	{ObjectId = 2067, X = 164.448, Y = 413.609, Direction = 0, Tag = "Block_Eintreffen_01"},
			ObjectSpawn	{ObjectId = 2067, X = 176.219, Y = 404.016, Direction = 90, Tag = "Block_Eintreffen_02"},
			ObjectSpawn	{ObjectId = 2067, X = 167.435, Y = 403.406, Direction = 90, Tag = "Block_Eintreffen_03"},
			ObjectSpawn	{ObjectId = 2067, X = 165.411, Y = 404.062, Direction = 0, Tag = "Block_Eintreffen_04"},
                        FigureRun {Tag = "pl_Human01Avatar", X = 161.396, Y = 377.18},                
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 162.811},                  
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Ragna_04", Tag = "Ragna01", PlayTalkAnim = default},   
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Ragna01", Range = 100, Height = 100},
                        MapFlagSetTrue {Name = "Custcene02Over"},
		},			
	},	
};	