State
{
       StateName = "cs_Einar",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar07"},
                        FigureVanish	{Tag = "Dummy_Avatar08"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 10, X = 135.528, Y = 202.857}, 
                        MapFlagIsTrue {Name = "Einar_Dialog"},
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        FigureNpcSpawn	{Tag = "Survivor01", Level = 1, UnitId = 351, X = 126.543, Y = 447.937, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Survivor02", Level = 1, UnitId = 322, X = 127.609, Y = 450.309, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Survivor03", Level = 1, UnitId = 428, X = 122.328, Y = 486.065, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Survivor04", Level = 1, UnitId = 327, X = 119.679, Y = 485.464, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Survivor05", Level = 1, UnitId = 323, X = 111.138, Y = 484.307, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Survivor06", Level = 1, UnitId = 823, X = 78.9634, Y = 340.982, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Survivor07", Level = 1, UnitId = 824, X = 78.9537, Y = 337.804, Team = "tm_Neutral"},  
                        CutsceneSay	{TextTag = "Einar_01", Tag = "Einar", PlayTalkAnim = default},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 135.528, Y = 202.857},  
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},
                        EntityTimerStart {Name = "et5_CStimer_01"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_01", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        GateSetOpen   {Tag = "Camp_Gate"},           
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 5},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        FigureWalk {Tag = "pl_Human01Avatar", X = 135.19, Y = 196.085},                    
                        EntityTimerStart {Name = "et5_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_09", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},                   
                        EntityTimerStart {Name = "et5_CStimer_04"},
                },
                GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "Einar_02", Tag = "Einar", PlayTalkAnim = default},            
                        EntityTimerStart {Name = "et5_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "Einar_03", Tag = "Einar", PlayTalkAnim = default},            
                        EntityTimerStart {Name = "et5_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_06", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "Einar"},
                        MapFlagSetTrue {Name = "Survivors"},	
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cage_01", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cage_02", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cage_03", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cage_04", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cage_05", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cage_06", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cage_07", Range = 10, Height = 100},
                        FigureNpcSpawn	{Tag = "Fighter01", Level = 15, UnitId = 685, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Fighter02", Level = 15, UnitId = 1019, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Fighter03", Level = 15, UnitId = 1019, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Fighter04", Level = 15, UnitId = 689, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Fighter05", Level = 16, UnitId = 687, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Fighter06", Level = 16, UnitId = 687, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Fighter07", Level = 16, UnitId = 688, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Fighter08", Level = 16, UnitId = 688, X = 115.407, Y = 481.47, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter01", Level = 15, UnitId = 685, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter02", Level = 15, UnitId = 1019, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter03", Level = 15, UnitId = 1019, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter04", Level = 15, UnitId = 689, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter05", Level = 16, UnitId = 687, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter06", Level = 16, UnitId = 687, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter07", Level = 16, UnitId = 688, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "2Fighter08", Level = 16, UnitId = 688, X = 133.678, Y = 449.765, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter01", Level = 15, UnitId = 685, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter02", Level = 15, UnitId = 1019, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter03", Level = 15, UnitId = 1019, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter04", Level = 15, UnitId = 689, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter05", Level = 16, UnitId = 687, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter06", Level = 16, UnitId = 687, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter07", Level = 16, UnitId = 688, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "3Fighter08", Level = 16, UnitId = 688, X = 74.7489, Y = 339.755, Team = "tm_Enemy"},
		},	
        },
};