State
{
       StateName = "cs_Matricus",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                        FigureVanish	{Tag = "Dummy_Avatar06"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 9, X = 125.975, Y = 393.026}, 
                        MapFlagIsTrue {Name = "End_Of_Attack"},
                        FigureIsDead {Tag = "Guardian01"},
                        FigureIsDead {Tag = "Guardian02"},
                        FigureIsDead {Tag = "Guardian03"},
                        FigureIsDead {Tag = "Guardian04"},
                        FigureIsDead {Tag = "Guardian05"},
                        FigureIsDead {Tag = "Guardian06"},
                        FigureIsDead {Tag = "Guardian07"},
                        FigureIsDead {Tag = "Guardian08"}, 
                        FigureIsDead {Tag = "Guardian09"},
                        FigureIsDead {Tag = "Guardian10"},
                        FigureIsDead {Tag = "Guardian11"}, 
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        ObjectVanish	{Tag = "Blocker01"}, 
                        ObjectVanish	{Tag = "Blocker02"}, 
                        ObjectVanish	{Tag = "Blocker03"},
                        ObjectVanish	{Tag = "Matricus_Cage"},  
                        CutsceneSay	{TextTag = "Matricus_01", Tag = "Matricus", PlayTalkAnim = default},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 125.975, Y = 393.026},  
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 180},
                        EntityTimerStart {Name = "et4_CStimer_01"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_01", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureRun {Tag = "pl_Human01Avatar", X = 126.246, Y = 401.552},           
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 180},                
                        CutsceneSay	{TextTag = "pl_Human01Avatar_08", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Matricus_02", Tag = "Matricus", PlayTalkAnim = default},                   
                        EntityTimerStart {Name = "et4_CStimer_04"},
                },
                GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "Matricus_03", Tag = "Matricus", PlayTalkAnim = default},            
                        EntityTimerStart {Name = "et4_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "Matricus"},
                        MapFlagSetTrue {Name = "Einar_Dialog"},	
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Einar", Range = 10, Height = 100},
                        DialogTypeSetMainQuest	{Tag = "Einar"},
		},	
        },
};