State
{
       StateName = "cs_Sorvina",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Sorvina03"},
                        FigureVanish	{Tag = "Dummy_Monster05"},
                        FigureVanish	{Tag = "Dummy_Monster06"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Sorvina_Cutscene"}, 
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},     
                        FigureWalk {Tag = "Sorvina", X = 564.237, Y = 592.831},  
                        FigureTeleport {Tag = "Beast01", X = 387.771, Y = 611.33},  
                        FigureLookAtDirection {Tag = "Beast01", Direction = 113.628},
                        FigureTeleport {Tag = "Beast02", X = 384.522, Y = 606.485},  
                        FigureLookAtDirection {Tag = "Beast02", Direction = 136.547},
                        EntityTimerStart {Name = "Beast_Walk"},
		},
        },

        OnOneTimeEvent
        {
                Conditions =
                {
                        EntityTimerIsElapsed {Name = "Beast_Walk", Seconds = 1},
                },
                Actions =
                {
                        FigureWalk {Tag = "Beast01", X = 450.912, Y = 629.051},    
                        FigureWalk {Tag = "Beast02", X = 450.912, Y = 629.051},
                        EntityTimerStart {Name = "et3_CStimer_01"},
                },
                GotoState = "Cutscene01",	
        },
};

State
{
	StateName = "Cutscene01",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_01", Seconds = 9},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureLookAtDirection {Tag = "Sorvina", Direction = 176.654},                       
                        CutsceneSay	{TextTag = "Sorvina_07", Tag = "Sorvina", PlayTalkAnim = default},            
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        FigureVanish	{Tag = "Beast01"},
                        FigureVanish	{Tag = "Beast02"},
                        FigureVanish	{Tag = "Beast03"},
                        FigureVanish	{Tag = "Beast04"},
                        FigureVanish	{Tag = "Beast05"},
                        MapFlagSetTrue {Name = "Cult_Attacking01"},
		},
        },
};