State
{
       StateName = "Cutscene_Master",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                        FigureVanish	{Tag = "Dummy_Shadow01"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Master_Dialog"},
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 8, X = 155.841, Y = 244.701},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},           
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 146.151, Y = 245.53},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 125.088},                
                        EntityTimerStart {Name = "et6_CStimer"},
		},	
		GotoState = "Cutscene60",	
        },
};

State
{
	StateName = "Cutscene60",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 153.684, Y = 242.921},                    
                        EntityTimerStart {Name = "et6_CStimer_02"},
		},	
		GotoState = "Cutscene61",	
        },
};

State
{
	StateName = "Cutscene61",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_03"},
		},	
		GotoState = "Cutscene62",	
        },
};

State
{
	StateName = "Cutscene62",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Master_01", Tag = "Master", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_04"},
		},	
		GotoState = "Cutscene63",	
        },
};

State
{
	StateName = "Cutscene63",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        EffectStart	{Tag = "ShadowWarrior", File = "Effect_Misc_SpawnSpecial_01"},      
                        FigureTeleport {Tag = "ShadowWarrior", X = 155.642, Y = 246.736},
                        FigureLookAtDirection {Tag = "ShadowWarrior", Direction = 359.037},                    
                        EntityTimerStart {Name = "Shadow_Attack"},
		},	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Shadow_Attack", Seconds = 2},
		},
		Actions =
		{                                                                                              
                        FigureAnimPlayOnce      {Tag = "ShadowWarrior", File = "base/gfx/figures/hero/figure_hero_male_attack_2h_sword_1.ska"}, 
                        EntityTimerStart {Name = "Master_Die"},
                },	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Master_Die", Seconds = 2},
		},
		Actions =
		{
                        FigureKill	{Tag = "Master"}, 
                        EntityTimerStart {Name = "et6_CStimer_05"},                     
		},	
		GotoState = "Cutscene64",	
        },
};


State
{
	StateName = "Cutscene64",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_05", Seconds = 1},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "ShadowWarrior_03", Tag = "ShadowWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_06"},       
		},	
		GotoState = "Cutscene65",	
        },
};

State
{
	StateName = "Cutscene65",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "Master"},
                        MapFlagSetTrue {Name = "Nameless_Boss01"},
		},	
        },
};