State
{
       StateName = "Cutscene_Peasant",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                },
        },

       OnOneTimeEvent
       {
                Conditions =
                {
                        MapFlagIsTrue {Name = "Peasant_Dialog"},
                },
                Actions =
                {
                        DialogTypeSetMainQuest	{Tag = "Peasant"},
                        MapFlagSetTrue {Name = "Peasant_Dialog01"},
                },
        },


	OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 456.941, Y = 380.637},
                        MapFlagIsTrue {Name = "Peasant_Dialog01"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Peasant", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Peasant_01", Tag = "Peasant", PlayTalkAnim = default},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 454.138, Y = 378.715},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 125.088},          
                        EntityTimerStart {Name = "et0_CStimer"},
		},	
		GotoState = "Cutscene00",	
        },
};

State
{
	StateName = "Cutscene00",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et0_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et0_CStimer_02"},
		},	
		GotoState = "Cutscene010",	
        },
};

State
{
	StateName = "Cutscene010",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et0_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Peasant", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "Peasant_02", Tag = "Peasant", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et0_CStimer_03"},
		},	
		GotoState = "Cutscene020",	
        },
};

State
{
	StateName = "Cutscene020",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et0_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "Peasant"},
                        MapFlagSetTrue {Name = "Isle_Teleport"},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 404.417, Y = 428.166},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},
		},			
	},	
};