State
{
       StateName = "cs_Malacay",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar06"},
                        FigureVanish	{Tag = "Dummy_Avatar07"},
                        FigureVanish	{Tag = "Dummy_Hedwig01"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Enemy01"},
                        FigureIsDead {Tag = "Enemy02"},
                        FigureIsDead {Tag = "Enemy03"},
                        FigureIsDead {Tag = "Enemy04"},
                        FigureIsDead {Tag = "Enemy05"},
                        FigureIsDead {Tag = "Enemy06"},
                        FigureIsDead {Tag = "Enemy07"},
                        FigureIsDead {Tag = "Enemy08"},
                        FigureIsDead {Tag = "Enemy09"},
                        FigureIsDead {Tag = "Enemy10"},
                        FigureIsDead {Tag = "Enemy11"},
                        FigureIsDead {Tag = "Enemy12"},
                        FigureIsDead {Tag = "Enemy13"},
                        FigureIsDead {Tag = "Enemy14"},
                        FigureIsDead {Tag = "Enemy15"},
                        MapFlagIsTrue {Name = "Return01"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 15, X = 582.314, Y = 378.18},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        EffectStart	{Tag = "Effect_Hedwig", File = "effect_misc_spawnspecial_02"},
                        ObjectVanish	{Tag = "Blocker01"},
                        ObjectVanish	{Tag = "Block01"},
                        ObjectVanish	{Tag = "Block02"},
                        ObjectVanish	{Tag = "Block03"}, 
                        SoundGlobalPlayOnce	{File = "04_spells/fx_despawn_unit"},               
                        EntityTimerStart {Name = "Hedwig_Teleport01"},
		},	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Hedwig_Teleport01", Seconds = 1},
		},
		Actions =
		{                                                                                              
                        FigureTeleport {Tag = "Hedwig", X = 565.115, Y = 376.711},
                        FigureLookAtDirection {Tag = "Hedwig", Direction = 90},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},           
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 577.119, Y = 376.991},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 270},
                        EntityTimerStart {Name = "et6_CStimer"},                     
		},	
		GotoState = "Cutscene60",	
        },
};

State
{
	StateName = "Cutscene60",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer", Seconds = 9},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},              
                        CutsceneSay	{TextTag = "Hedwig_04", Tag = "Hedwig", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_02"},
		},	
		GotoState = "Cutscene61",	
        },
};

State
{
	StateName = "Cutscene61",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce    {Tag = "Hedwig", File = "base/gfx/figures/hero/figure_hero_female_resolve_enemy.ska"}, 
                        EffectStart	{Tag = "Hedwig", File = "effect_death_resolve"},                                                       
                        EffectStart	{Tag = "Malacay", File = "effect_death_hit"},
                        FigureKill	{Tag = "Malacay"},                 
                        EntityTimerStart {Name = "et6_CStimer_03"},
		},	
		GotoState = "Cutscene62",	
        },
};

State
{
	StateName = "Cutscene62",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureWalk {Tag = "pl_Human01Avatar", X = 569.55, Y = 376.785},                    
                        EntityTimerStart {Name = "et6_CStimer_04"},
		},	
		GotoState = "Cutscene63",	
        },
};

State
{
	StateName = "Cutscene63",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_10", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_05"},
		},	
		GotoState = "Cutscene64",	
        },
};

State
{
	StateName = "Cutscene64",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Hedwig_05", Tag = "Hedwig", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_06"},
		},	
		GotoState = "Cutscene65",	
        },
};

State
{
	StateName = "Cutscene65",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "Orc_Town"},
		},	
        },
};