State
{
       StateName = "cs_Undar",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar11"},
                        FigureVanish	{Tag = "Dummy_Avatar12"},
                },
        },
     
       OnOneTimeEvent
       {
                Conditions =
                {
                        MapFlagIsTrue {Name = "Dialogs"},
                },
                Actions =
                {
                        DialogTypeSetSideQuest	{Tag = "Undar"},
                        MapFlagSetTrue {Name = "Undar_Dialog"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 166.542, Y = 516.614},
                        MapFlagIsTrue {Name = "Undar_Dialog"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Begining02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 161.252, Y = 522.313},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 39.1439},          
                        EntityTimerStart {Name = "et_CSBegin02"},
		},	
		GotoState = "CutsceneBegin02",	
        },
};

State
{
	StateName = "CutsceneBegin02",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CSBegin02", Seconds = 3},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Undar", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Undar_01", Tag = "Undar", PlayTalkAnim = default},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 164.025, Y = 518.845},        
                        EntityTimerStart {Name = "et10_CStimer"},
		},	
		GotoState = "Cutscene100",	
        },
};

State
{
	StateName = "Cutscene100",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et10_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_18", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 44.8734},        
                        EntityTimerStart {Name = "et11_CStimer"},
		},	
		GotoState = "Cutscene101",	
        },
};

State
{
	StateName = "Cutscene101",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et11_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Undar", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Undar_02", Tag = "Undar", PlayTalkAnim = default},        
                        EntityTimerStart {Name = "et12_CStimer"},
		},	
		GotoState = "Cutscene102",	
        },
};

State
{
	StateName = "Cutscene102",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et12_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_19", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et13_CStimer"},
		},	
		GotoState = "Cutscene103",	
        },
};

State
{
	StateName = "Cutscene103",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et13_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Undar", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Undar_03", Tag = "Undar", PlayTalkAnim = default},        
                        EntityTimerStart {Name = "et14_CStimer"},
		},	
		GotoState = "Cutscene104",	
        },
};

State
{
	StateName = "Cutscene104",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et14_CStimer", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "Undar"},
                        MapFlagSetTrue {Name = "Undar_Completed"},	
		},			
	},	
};