State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 195},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 191},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 196},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 197},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 203},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 194},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 193},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 192},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 198},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 48},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 56},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 55},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 45},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 51},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 52},
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Warrior01"},
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Warrior02"},
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Warrior04"},
                        FigureVanish	{Tag = "Dummy_Satras01"},
                        FigureVanish	{Tag = "Dummy_Warrior03"},
                        FigureVanish	{Tag = "Dummy_Demon01"},
                        FigureVanish	{Tag = "Dummy_Demon02"},
                        FigureVanish	{Tag = "Dummy_Demon03"},
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = Hero.CoopWarrior},
                },
        },

       OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
                        FigureHeroSpawn	{Player = "pl_Human01", Tag = "CoopWarrior", X = 39.7654, Y = 58.1306, Direction = 302.704},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 36.9001, Y = 56.5161},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 119.358},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};


State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_01", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_02", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_03", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_04", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_07"},
		},	
		GotoState = "Cutscene08",	
        },
};

State
{
	StateName = "Cutscene08",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_07", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},                        	
		},	
                GotoState = "CutsceneSummoning",		
	},	
};

State
{
	StateName = "CutsceneSummoning",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 12, X = 184.34, Y = 271.718},
                        FigureIsDead {Tag = "CutsceneTroll01"},
                        FigureIsDead {Tag = "CutsceneTroll02"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 184.995, Y = 280.934},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 176.654},
                        FigureTeleport {Tag = "pl_Human01CoopWarrior", X = 182.392, Y = 280.681},
                        FigureLookAtDirection {Tag = "pl_Human01CoopWarrior", Direction = 170.924},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_05", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene23",	
        },
};

State
{
	StateName = "Cutscene23",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_06", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene24",	
        },
};

State
{
	StateName = "Cutscene24",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        GateSetOpen   {Tag = "Shaikan_Gate"},  
                        AvatarXPGive{Player = "pl_Human01", Amount = 910 },                      	
		},	
                GotoState = "CutsceneShaikanVillage",		
	},	
};

State
{
       StateName = "CutsceneShaikanVillage",

       OnOneTimeEvent	
	{
		Conditions =
		{
                         PlayerFigureIsInRange	{Player = "pl_Human01", Range = 16, X = 290.545, Y = 243.309},
                         FigureIsDead {Tag = "CutsceneTroll03"},
                         FigureIsDead {Tag = "CutsceneTroll04"},
                         FigureIsDead {Tag = "CutsceneTroll05"},
                         FigureIsDead {Tag = "CutsceneTroll06"},
                         FigureIsDead {Tag = "CutsceneTroll07"},
                         FigureIsDead {Tag = "CutsceneTroll08"},
                },
		Actions =
		{
                         CutsceneBegin	{File = "default"},
                         CameraTrackClear {},
			 CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
                         FigureTeleport {Tag = "pl_Human01Avatar", X = 301.309, Y = 239.173},
                         FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 64},
                         FigureTeleport {Tag = "pl_Human01CoopWarrior", X = 302.536, Y = 241.687},
                         FigureLookAtDirection {Tag = "pl_Human01CoopWarrior", Direction = 29.6225},
                         CutsceneSay	{TextTag = "Satras_01", Tag = "Satras", PlayTalkAnim = default},
                         ObjectVanish	{Tag = "Blocker01"},
			 CameraTrackPlay {},                    
                         EntityTimerStart {Name = "et3_CStimer"},
                },	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Satras_02", Tag = "Satras", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_03"},
		},	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_04"},
		},	
		GotoState = "Cutscene33",	
        },
};

State
{
	StateName = "Cutscene33",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et3_CStimer_04", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        PlayerResourceSilverGive {Player = "pl_Enemy", Amount = 800},
                        PlayerResourceStoneGive {Player = "pl_Enemy", Amount = 800},
                        PlayerResourceLenyaGive {Player = "pl_Enemy", Amount = 800},
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_Human02"},
		},	
                GotoState = "EXPZone",	
        },
};

State
{
	StateName = "EXPZone",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 20, X = 557.033, Y = 259.731},
                },
		Actions =
		{
                        AvatarXPGive{Player = "pl_Human01", Amount = 1270},
		},	
                GotoState = "LastCutscene",	
        },
};

State
{
       StateName = "LastCutscene",

       OnOneTimeEvent	
	{
		Conditions =
		{
                         FigureIsDead {Tag = "Haakh"},
                         FigureIsDead {Tag = "CSOrc01"},
                         FigureIsDead {Tag = "CSOrc02"},
                         FigureIsDead {Tag = "CSOrc03"},
                         FigureIsDead {Tag = "CSOrc04"},
                         FigureIsDead {Tag = "CSOrc05"},
                         FigureIsDead {Tag = "CSOrc06"},
                         FigureIsDead {Tag = "CSOrc07"},
                         FigureIsDead {Tag = "CSOrc08"},
                         FigureIsDead {Tag = "CSOrc09"},
                         FigureIsDead {Tag = "CSOrc10"},
                         BuildingIsDead	{Tag = "CSBuild01"},
                         BuildingIsDead	{Tag = "CSBuild02"},
                         BuildingIsDead	{Tag = "CSBuild03"},
                         BuildingIsDead	{Tag = "CSBuild04"},
                         BuildingIsDead	{Tag = "CSBuild05"},
                },
		Actions =
		{
                         CutsceneBegin	{File = "default"},
                         CameraTrackClear {},
			 CameraTakeAddToTrack {File = "CS_PortalOn", Tag = "default", TargetTag = "default"},
                         FigureTeleport {Tag = "pl_Human01Avatar", X = 576.259, Y = 472.423},
                         FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 176.654},
                         FigureTeleport {Tag = "pl_Human01CoopWarrior", X = 574.727, Y = 474.368},
                         FigureLookAtDirection {Tag = "pl_Human01CoopWarrior", Direction = 50.603},
                         FigureTeleport {Tag = "Satras", X = 577.924, Y = 474.391},
                         FigureLookAtDirection {Tag = "Satras", Direction = 296.975},
                         ObjectVanish	{Tag = "Gate01"},
                         ObjectVanish	{Tag = "Gate02"},
			 CameraTrackPlay {},                    
                         EntityTimerStart {Name = "et4_CStimer"},
                },	
		GotoState = "Cutscene40",	
        },
};

State
{
	StateName = "Cutscene40",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene41",	
        },
};

State
{
	StateName = "Cutscene41",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Satras_03", Tag = "Satras", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene42",	
        },
};

State
{
	StateName = "Cutscene42",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_07", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_04"},
		},	
		GotoState = "Cutscene43",	
        },
};

State
{
	StateName = "Cutscene43",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et4_CStimer_04", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Satras_04", Tag = "Satras", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_05"},
		},	
		GotoState = "Cutscene44",	
        },
};

State
{
	StateName = "Cutscene44",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et4_CStimer_05", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive{Player = "pl_Human01", Amount = 1690 },
		},	
        },
};