State
{
       StateName = "Castle_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Yasha02"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Shaikan_Base"},
                        BuildingIsDead	{Tag = "B01"},
                        BuildingIsDead	{Tag = "B02"},
                        BuildingIsDead	{Tag = "B03"},
                        BuildingIsDead	{Tag = "B04"},
                        BuildingIsDead	{Tag = "B05"},
                        BuildingIsDead	{Tag = "B06"},
                        BuildingIsDead	{Tag = "B07"},
                        BuildingIsDead	{Tag = "B08"},
                        BuildingIsDead	{Tag = "B09"},
                        BuildingIsDead	{Tag = "B10"},
                        BuildingIsDead	{Tag = "B11"},
                        BuildingIsDead	{Tag = "B12"},
                        BuildingIsDead	{Tag = "B13"},
                        BuildingIsDead	{Tag = "B14"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Yasha_04", Tag = "pl_Human01HeroYasha", PlayTalkAnim = default},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 449.556, Y = 469.968},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 113.628},
                        FigureTeleport {Tag = "pl_Human01HeroYasha", X = 453.499, Y = 471.702},
                        FigureLookAtDirection {Tag = "pl_Human01HeroYasha", Direction = 308.434},                
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },
};

State
{
	StateName = "Cutscene40",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Yasha_05", Tag = "pl_Human01HeroYasha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene41",	
        },
};

State
{
	StateName = "Cutscene41",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene42",	
        },
};

State
{
	StateName = "Cutscene42",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive{Player = "pl_Human01", Amount = 5470},
                        MapFlagSetTrue {Name = "Castle_Teleport"},     	
		},
                GotoState = "Teleport01",			
	},	
};

State
{
       StateName = "Teleport01",

       OnOneTimeEvent
       {
                Conditions =
                {
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 464.124, Y = 476.406},
                        MapFlagIsTrue {Name = "Castle_Teleport"},
                },
                Actions =
                {
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 564.245, Y = 64.0285},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},
                        EffectStart	{Tag = "pl_Human01Avatar", File = "effect_misc_transformpanter"},
                        FigurePlayerTransfer {Tag = "BodyGuard_01", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "BodyGuard_02", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "BodyGuard_01", Team = "tm_Team 1"},
                        FigureTeamTransfer {Tag = "BodyGuard_02", Team = "tm_Team 1"},
                },
        },
};