State
{
	StateName= "SQ_Cult",
	
------------------------------------
--Sidequest_Cult, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "SQ_Cult"},
                        FigureVanish	{Tag = "Dummy_Demon"},
                        FigureVanish	{Tag = "Dummy_Raptor"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 36.1546, Y = 108.537},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Cult_01", Tag = "SQ_Cult"},
                        FigureOutcry	{TextTag = "SQ_Cult_02", Tag = "SQ_Cult"},
                        FigureOutcry	{TextTag = "SQ_Cult_03", Tag = "SQ_Cult"},
                        FigureOutcry	{TextTag = "SQ_Cult_04", Tag = "SQ_Cult"},			
			EntityFlagSetTrue	{Name = "SQ_Cult_Quest"},
			DialogSetDisabled	{Tag = "SQ_Cult"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue {Name = "SQ_Cult_Quest"},
		},
		Actions=
		{
			FogOfWarReveal	{FogOfWarId = 0, X = 339.349, Y = 221.472, Range = 10, Height = 100},
                        FogOfWarReveal	{FogOfWarId = 0, X = 432.953, Y = 441.647, Range = 10, Height = 100},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 339.349, Y = 221.472},
                        EntityFlagIsTrue {Name = "SQ_Cult_Quest"},
		},
		Actions=
		{
			FigureNpcSpawn	{Tag = "Raptor_01", Level = 9, UnitId = 1275, X = 333.797, Y = 222.037, Team = "tm_Team 2"},		
			EntityFlagSetTrue	{Name = "Raptor_Summon"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 432.953, Y = 441.647},
                        EntityFlagIsTrue {Name = "SQ_Cult_Quest"},
		},
		Actions=
		{
			FigureNpcSpawn	{Tag = "Truchness_01", Level = 11, UnitId = 1756, X = 438.902, Y = 438.713, Team = "tm_Team 2"},		
			EntityFlagSetTrue	{Name = "Truchness_Summon"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        FigureIsDead {Tag = "Raptor_01"},
                        FigureIsDead {Tag = "Truchness_01"},
                        EntityFlagIsTrue {Name = "Raptor_Summon"},
                        EntityFlagIsTrue {Name = "Truchness_Summon"},
                },
                Actions=
		{
			DialogSetEnabled	{Tag = "SQ_Cult"},
			DialogTypeSetSideQuest	{Tag = "SQ_Cult"},
                        EntityFlagSetTrue	{Name = "SQ_Cult_Quest_Completed"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 36.1546, Y = 108.537},
			EntityFlagIsTrue {Name = "SQ_Cult_Quest_Completed"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Cult_05", Tag = "SQ_Cult"},
			FigureOutcry	{TextTag = "SQ_Cult_06", Tag = "SQ_Cult"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 1000},
			DialogSetDisabled	{Tag = "SQ_Cult"},
		},
	},
};