State
{
	StateName= "SQ_Dwarf",
	
------------------------------------
--Sidequest_Dwarf, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "SQ_Dwarf"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 387.341, Y = 135.141},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Dwarf_01", Tag = "SQ_Dwarf"},
                        FigureOutcry	{TextTag = "SQ_Dwarf_02", Tag = "SQ_Dwarf"},
                        FigureOutcry	{TextTag = "SQ_Dwarf_03", Tag = "SQ_Dwarf"},
                        FigureOutcry	{TextTag = "SQ_Dwarf_04", Tag = "SQ_Dwarf"},			
			EntityFlagSetTrue	{Name = "SQ_Dwarf_Quest"},
			DialogSetDisabled	{Tag = "SQ_Dwarf"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------

        OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 440.952, Y = 459.696},
                        EntityFlagIsTrue {Name = "SQ_Dwarf_Quest"},
		},
		Actions=
		{
			FigureNpcSpawn	{Tag = "DW_01", Level = 1, UnitId = 963, X = 445.942, Y = 457.395, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "DW_02", Level = 1, UnitId = 963, X = 445.942, Y = 457.395, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "DW_03", Level = 1, UnitId = 963, X = 445.942, Y = 457.395, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "DW_04", Level = 1, UnitId = 963, X = 445.942, Y = 457.395, Team = "tm_Neutral"},		
			EntityFlagSetTrue	{Name = "Dwarven_01"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Dwarven_01"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Running01"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Running01", Seconds = 3},
                },
		Actions=
		{
                        FigureRun {Tag = "DW_01", X = 392.109, Y = 134.583},
                        FigureRun {Tag = "DW_02", X = 392.109, Y = 134.583},
                        FigureRun {Tag = "DW_03", X = 392.109, Y = 134.583},
                        FigureRun {Tag = "DW_04", X = 392.109, Y = 134.583},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 424.686, Y = 544.315},
                        EntityFlagIsTrue {Name = "SQ_Dwarf_Quest"},
		},
		Actions=
		{
			FigureNpcSpawn	{Tag = "DW_05", Level = 1, UnitId = 963, X = 428.898, Y = 548.629, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "DW_06", Level = 1, UnitId = 963, X = 428.898, Y = 548.629, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "DW_07", Level = 1, UnitId = 963, X = 428.898, Y = 548.629, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "DW_08", Level = 1, UnitId = 963, X = 428.898, Y = 548.629, Team = "tm_Neutral"},		
			EntityFlagSetTrue	{Name = "Dwarven_02"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Dwarven_02"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Running02"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Running02", Seconds = 3},
                },
		Actions=
		{
                        FigureRun {Tag = "DW_05", X = 392.109, Y = 134.583},
                        FigureRun {Tag = "DW_06", X = 392.109, Y = 134.583},
                        FigureRun {Tag = "DW_07", X = 392.109, Y = 134.583},
                        FigureRun {Tag = "DW_08", X = 392.109, Y = 134.583},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue {Name = "Dwarven_01"},
                        EntityFlagIsTrue {Name = "Dwarven_02"},
                },
                Actions=
		{
			DialogSetEnabled	{Tag = "SQ_Dwarf"},
			DialogTypeSetSideQuest	{Tag = "SQ_Dwarf"},
                        EntityFlagSetTrue	{Name = "SQ_Dwarf_Quest_Completed"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 387.341, Y = 135.141},
			EntityFlagIsTrue {Name = "SQ_Dwarf_Quest_Completed"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Dwarf_05", Tag = "SQ_Dwarf"},
			FigureOutcry	{TextTag = "SQ_Dwarf_06", Tag = "SQ_Dwarf"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 850},
			DialogSetDisabled	{Tag = "SQ_Dwarf"},
		},
	},
};