State
{
       StateName = "Castle_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Warrior02"},
                        FigureVanish	{Tag = "Dummy_Adventurer01"},
                },		
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 17, X = 81.8563, Y = 520.304},
                        MapFlagIsTrue {Name = "Castle_Cutscene"}, 
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 81.9363, Y = 573.374},
                        FigureTeleport {Tag = "pl_Human01CoopWarrior", X = 81.5617, Y = 576.231},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 142.276},
                        FigureLookAtDirection {Tag = "pl_Human01CoopWarrior", Direction = 56.3326},
                        FigureLookAtDirection {Tag = "pl_Human01CoopAdventurer1", Direction = 176.654},
                        FigureTeleport {Tag = "pl_Human01CoopAdventurer1", X = 84.3302, Y = 573.108},                  
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "General_01", Tag = "General", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01CoopWarrior_01", Tag = "pl_Human01CoopWarrior", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene23",	
        },
};

State
{
	StateName = "Cutscene23",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene24",	
        },
};

State
{
	StateName = "Cutscene24",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "General_02", Tag = "General", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_06"},
		},	
		GotoState = "Cutscene25",	
        },
};

State
{
	StateName = "Cutscene25",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "General_03", Tag = "General", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_07"},
		},	
		GotoState = "Cutscene26",	
        },
};

State
{
	StateName = "Cutscene26",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_07", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},    
                        AvatarXPGive{Player = "pl_Human01", Amount = 2170},
                        MapFlagSetTrue {Name = "DragonCutscene"},                 	
		},			
	},	
};