State
{
       StateName = "Last_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Dragon_Completed"},
                        FigureIsDead {Tag = "Ragna01"},
                        FigureIsDead {Tag = "Ragna02"},
                        FigureIsDead {Tag = "Ragna03"}, 
                        FigureIsDead {Tag = "Enemy01"},
                        FigureIsDead {Tag = "Enemy02"},
                        FigureIsDead {Tag = "Enemy03"},
                        FigureIsDead {Tag = "Enemy04"},
                        FigureIsDead {Tag = "Enemy05"},
                        FigureIsDead {Tag = "Enemy06"},
                        FigureIsDead {Tag = "Enemy07"},
                        FigureIsDead {Tag = "Enemy08"},
                        FigureIsDead {Tag = "Enemy09"},
                        FigureIsDead {Tag = "Enemy10"},
                        FigureIsDead {Tag = "Enemy11"},
                        FigureIsDead {Tag = "Enemy12"},
                        FigureIsDead {Tag = "Enemy13"},
                        FigureIsDead {Tag = "Enemy14"},
                        FigureIsDead {Tag = "Enemy15"},
                        FigureIsDead {Tag = "Enemy16"},
                        FigureIsDead {Tag = "Enemy17"},
                        FigureIsDead {Tag = "Enemy18"},
                        FigureIsDead {Tag = "Enemy19"},
                        FigureIsDead {Tag = "Enemy20"},
                        FigureIsDead {Tag = "Enemy21"},
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 10, X = 542.607, Y = 500.46},
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        GateSetOpen   {Tag = "MauserGate01"}, 
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 538.647, Y = 500.817}, 
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 90},    
                        EntityTimerStart {Name = "et4_CStimer_01"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_01", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 546.445, Y = 500.597},
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},               
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 90},    
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 19500},
		},	
        },
};