State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Falkmar01"},
                        FigureVanish	{Tag = "Dummy_Ragna01"}, 
                        FigureAnimPlayLooped      {Tag = "FalkmarDead", File = "base/gfx/figures/hero/figure_hero_male_dead.ska"},
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Mauser_01", Tag = "Mauser01", PlayTalkAnim = default},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 61.261, Y = 55.7045},                
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "Mauser_02", Tag = "Mauser01", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Ragna_01", Tag = "Ragna", PlayTalkAnim = default},                
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureLookAtDirection {Tag = "Mauser01", Direction = 27.6847},                       
                        CutsceneSay	{TextTag = "Mauser_03", Tag = "Mauser01", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},  
                        FigureAnimPlayOnce {Tag = "FalkmarDead", File = "base/gfx/figures/hero/figure_hero_male_emote_kneel_up.ska"},                     
                        EffectStart	{Tag = "Mauser01", File = "Effect_AreaPain_Cast"},   
                        EffectStart	{Tag = "FalkmarDead", File = "Effect_Spawn_Unit"},   
                        FigureAnimPlayOnce {Tag = "Mauser01", File = "base/gfx/figures/hero/figure_hero_male_resolve_enemy.ska"},                 
                        EntityTimerStart {Name = "et_CStimer_05"},
                },
                GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 5},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureLookAtDirection {Tag = "Mauser01", Direction = 132.49},     
                        FigureWalk {Tag = "FalkmarDead", X = 498.714, Y = 532.585},               
                        EntityTimerStart {Name = "et_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Mauser_04", Tag = "Mauser01", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_07"},
		},	
		GotoState = "Cutscene08",	
        },
};

State
{
	StateName = "Cutscene08",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureWalk {Tag = "Ragna", X = 498.75, Y = 536.786},                     
                        EntityTimerStart {Name = "et_CStimer_08"},
		},	
		GotoState = "Cutscene09",	
        },
};

State
{
	StateName = "Cutscene09",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_08", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_09", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureLookAtDirection {Tag = "Ragna", Direction = 270},
                        FigureLookAtDirection {Tag = "FalkmarDead", Direction = 270},                        
                        EffectStart	{Tag = "Mauser01", File = "Effect_AreaPain_Cast"},   
                        EffectStart	{Tag = "Mauser01", File = "Effect_Spawn_Unit"},   
                        FigureAnimPlayOnce {Tag = "Mauser01", File = "base/gfx/figures/hero/figure_hero_male_resolve_enemy.ska"},                     
                        EntityTimerStart {Name = "et_CStimer_09"},
		},	
		GotoState = "Cutscene10",	
        },
};

State
{
	StateName = "Cutscene10",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_09", Seconds = 3},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_10", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        EffectStart	{Tag = "Ragna01", File = "Effect_Spawn_Unit"},   
                        EffectStart	{Tag = "Ragna02", File = "Effect_Spawn_Unit"},   
                        EffectStart	{Tag = "Ragna03", File = "Effect_Spawn_Unit"},                        
                        EntityTimerStart {Name = "et_CStimer_10"},
		},	
		GotoState = "Cutscene11",	
        },
};

State
{
	StateName = "Cutscene11",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_10", Seconds = 3},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_11", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        EffectStart	{Tag = "Kaziz01", File = "Effect_Spawn_Unit"},   
                        EffectStart	{Tag = "Kaziz02", File = "Effect_Spawn_Unit"},                     
                        EntityTimerStart {Name = "et_CStimer_11"},
		},	
		GotoState = "Cutscene12",	
        },
};

State
{
	StateName = "Cutscene12",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_11", Seconds = 3},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_12", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        EffectStart	{Tag = "Prophet01", File = "Effect_Spawn_Unit"},   
                        EffectStart	{Tag = "Prophet02", File = "Effect_Spawn_Unit"},   
                        EffectStart	{Tag = "Prophet03", File = "Effect_Spawn_Unit"},                     
                        EntityTimerStart {Name = "et_CStimer_12"},
		},	
		GotoState = "Cutscene13",	
        },
};

State
{
	StateName = "Cutscene13",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_12", Seconds = 3},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_13", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureKill	{Tag = "Chosen01"},
                        FigureKill	{Tag = "Chosen02"},
                        FigureKill	{Tag = "Chosen03"},
                        FigureKill	{Tag = "Chosen04"},
                        FigureKill	{Tag = "Chosen05"},                        
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 102.169},                     
                        EntityTimerStart {Name = "et_CStimer_13"},
		},
                GotoState = "Cutscene14",
        },
};

State
{
	StateName = "Cutscene14",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_13", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Avatar01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_14"},
		},
                GotoState = "Cutscene15",
        },
};

State
{
	StateName = "Cutscene15",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_14", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Shae01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Shae_01", Tag = "Shae", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_15"},
		},
                GotoState = "Cutscene16",
        },
};

State
{
	StateName = "Cutscene16",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_15", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Avatar01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_16"},
		},
                GotoState = "Cutscene17",
        },
};

State
{
	StateName = "Cutscene17",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_16", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Shae01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Shae_02", Tag = "Shae", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_17"},
		},
                GotoState = "Cutscene18",
        },
};

State
{
	StateName = "Cutscene18",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_17", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_PowerCrystal", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Shae_03", Tag = "Shae", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_18"},
		},
                GotoState = "Cutscene19",
        },
};

State
{
	StateName = "Cutscene19",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_18", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_PowerCrystal02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Shae_04", Tag = "Shae", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_19"},
		},
                GotoState = "Cutscene20",
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_19", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Avatar01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_20"},
		},
                GotoState = "Cutscene21",
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_20", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Traitors", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Shae_05", Tag = "Shae", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_21"},
		},
                GotoState = "Cutscene22",
        },
};

State
{
	StateName = "Cutscene22",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_21", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Shae01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Shae_06", Tag = "Shae", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_22"},
		},
                GotoState = "Cutscene23",
        },
};

State
{
	StateName = "Cutscene23",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_22", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FigureVanish	{Tag = "Mauser01"},
                        FigureVanish	{Tag = "Mauser02"},
                        FigureVanish	{Tag = "Mauser03"},  
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Spawn01", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Spawn02", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Spawn03", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Spawn04", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Spawn05", Range = 10, Height = 100},
                        MapFlagSetTrue {Name = "ClonedEnemies"},
		},			
	},	
};	