State
{
       StateName = "Last_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Mauser01"},
                        FigureVanish	{Tag = "Dummy_Mauser02"},
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "RedGod_Summoned"},
                        FigureIsDead {Tag = "Red_God"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        ObjectVanish	{Tag = "FireBlue"},
                        ObjectVanish	{Tag = "FireGreen"},
                        ObjectVanish	{Tag = "FireRed"},
                        EffectStartAddon1	{Tag = "Magic_Circle", File = "Effect_Misc_ExplodingBarrel"},    
                        FigureTeleport {Tag = "Mauser01", X = 160.2, Y = 365.384},
                        FigureLookAtDirection {Tag = "Mauser01", Direction = 176.654},             
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },
};

State
{
	StateName = "Cutscene40",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureWalk {Tag = "Mauser01", X = 160.732, Y = 374.46}, 
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene41",	
        },
};

State
{
	StateName = "Cutscene41",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},              
                        FigureLookAtDirection {Tag = "Mauser01", Direction = 169.961},           
                        CutsceneSay	{TextTag = "Mauser_03", Tag = "Mauser01", PlayTalkAnim = default},   
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene42",	
        },
};

State
{
	StateName = "Cutscene42",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Mauser_04", Tag = "Mauser01", PlayTalkAnim = default},   
                        EntityTimerStart {Name = "et4_CStimer_04"},
		},	
		GotoState = "Cutscene43",	
        },
};

State
{
	StateName = "Cutscene43",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Mauser_05", Tag = "Mauser01", PlayTalkAnim = default},   
                        EntityTimerStart {Name = "et4_CStimer_05"},
		},	
		GotoState = "Cutscene44",	
        },
};

State
{
	StateName = "Cutscene44",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Mauser_06", Tag = "Mauser01", PlayTalkAnim = default},   
                        EntityTimerStart {Name = "et4_CStimer_06"},
		},	
		GotoState = "Cutscene45",	
        },
};

State
{
	StateName = "Cutscene45",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Mauser_07", Tag = "Mauser01", PlayTalkAnim = default},   
                        EntityTimerStart {Name = "et4_CStimer_07"},
		},	
		GotoState = "Cutscene46",	
        },
};

State
{
	StateName = "Cutscene46",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_07", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
		},			
	},	
};	