State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 152},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 158},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 161},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 162},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 153},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 155},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 163},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 156},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 159},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 160},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 150},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 149},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 154},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 157},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 27},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 33},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 19},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 29},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 21},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 25},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 39},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 37},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 35},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 31},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 23},
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Sorvina01"}, 
                        FigureVanish	{Tag = "Citizen01"},
                        FigureVanish	{Tag = "Citizen02"},
                        FigureVanish	{Tag = "Citizen03"},
                        FigureVanish	{Tag = "Citizen04"},
                        FigureVanish	{Tag = "Citizen05"},
                        FigureVanish	{Tag = "Citizen06"},
                        FigureVanish	{Tag = "Citizen07"},
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "Burning_City01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 591.363, Y = 603.401},                  
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 15},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 296.975},
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        EffectStart	{Tag = "Ragna", File = "effect_misc_spawnspecial_02"},
                        SoundGlobalPlayOnce	{File = "04_spells/fx_despawn_unit"},                
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Ragna_01", Tag = "Ragna", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        EffectStart	{Tag = "Ragna", File = "effect_misc_spawnspecial_02"},                    
                        EntityTimerStart {Name = "Magic01"},
                },	
        },

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Magic01", Seconds = 1},
		},
		Actions =
		{                                                                                    
                        FigureVanish	{Tag = "Ragna"},
                        EntityTimerStart {Name = "et_CStimer_05"},
                },
                GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 9},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_07"},
		},	
		GotoState = "Cutscene08",	
        },
};

State
{
	StateName = "Cutscene08",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_08"},
		},	
		GotoState = "Cutscene09",	
        },
};

State
{
	StateName = "Cutscene09",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_08", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        EffectStart	{Tag = "Sorvina", File = "effect_misc_transformpanter"},                     
                        EntityTimerStart {Name = "et_CStimer_09"},
		},	
		GotoState = "Cutscene10",	
        },
};

State
{
	StateName = "Cutscene10",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_09", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_11", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_10"},
		},	
		GotoState = "Cutscene11",	
        },
};

State
{
	StateName = "Cutscene11",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_10", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_12", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sorvina_01", Tag = "Sorvina", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_11"},
		},	
		GotoState = "Cutscene12",	
        },
};

State
{
	StateName = "Cutscene12",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_11", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_13", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sorvina_02", Tag = "Sorvina", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_12"},
		},	
		GotoState = "Cutscene13",	
        },
};

State
{
	StateName = "Cutscene13",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_12", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_14", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_13"},
		},	
		GotoState = "Cutscene14",	
        },
};

State
{
	StateName = "Cutscene14",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_13", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_15", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sorvina_03", Tag = "Sorvina", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_14"},
		},	
		GotoState = "Cutscene15",	
        },
};

State
{
	StateName = "Cutscene15",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_14", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_09", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureWalk {Tag = "pl_Human01Avatar", X = 568.469, Y = 587.181}, 
                        FigureWalk {Tag = "Sorvina", X = 564.053, Y = 587.118},                    
                        EntityTimerStart {Name = "et_CStimer_15"},
		},	
		GotoState = "Cutscene16",	
        },
};

State
{
	StateName = "Cutscene16",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_15", Seconds = 17},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_10", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer_16"},
		},	
		GotoState = "Cutscene17",	
        },
};

State
{
	StateName = "Cutscene17",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_16", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_16", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Sorvina_04", Tag = "Sorvina", PlayTalkAnim = default},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},
                        FigureLookAtDirection {Tag = "Sorvina", Direction = 0},                 
                        EntityTimerStart {Name = "et_CStimer_17"},
		},	
		GotoState = "Cutscene18",	
        },
};

State
{
	StateName = "Cutscene18",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_17", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_17", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et_CStimer_18"},
		},	
		GotoState = "Cutscene19",	
        },
};

State
{
	StateName = "Cutscene19",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_18", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_18", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Sorvina_05", Tag = "Sorvina", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et_CStimer_19"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_19", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_19", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Sorvina_06", Tag = "Sorvina", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et_CStimer_20"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_20", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},    
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Kor", Range = 10, Height = 100},  
                        MapFlagSetTrue {Name = "Kor_Dialog"},	
		},			
	},	
};