State
{
       StateName = "cs_Io",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar09"},
                        FigureVanish	{Tag = "Dummy_Avatar10"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Io_Cutscene"},
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        GateSetOpen   {Tag = "Ghost_Gate"}, 
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 261.947, Y = 397.411},  
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 90.7101},
                        EntityTimerStart {Name = "et6_CStimer_01"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_01", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Io_01", Tag = "Io", PlayTalkAnim = default},                        
                        FigureRun {Tag = "pl_Human01Avatar", X = 269.98, Y = 397.715},           
                        EntityTimerStart {Name = "et6_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 90.7101},                
                        CutsceneSay	{TextTag = "pl_Human01Avatar_10", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Io_02", Tag = "Io", PlayTalkAnim = default},                   
                        EntityTimerStart {Name = "et6_CStimer_04"},
                },
                GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_11", Tag = "pl_Human01Avatar", PlayTalkAnim = default},            
                        EntityTimerStart {Name = "et6_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "Io_03", Tag = "Io", PlayTalkAnim = default},             
                        EntityTimerStart {Name = "et6_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_06", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 13870},
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 192},
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "HeroIO", X = 274.906, Y = 398.139, Direction = 270},
                        FigureVanish	{Tag = "Io"},
                        DialogTypeSetMainQuest	{Tag = "Treant"},
                        MapFlagSetTrue {Name = "Io_Quest"},	
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Firepod_01", Range = 25, Height = 100},
		},	
        },
};