State
{
       StateName = "cs_Kor",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Monster01"},
                        FigureVanish	{Tag = "Dummy_Monster02"},
                        FigureVanish	{Tag = "Dummy_Monster03"},
                        FigureVanish	{Tag = "Dummy_Monster04"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 18, X = 382.486, Y = 608.447}, 
                        MapFlagIsTrue {Name = "Kor_Dialog"}, 
		},
		Actions =
		{      
                        CutsceneBegin	{File = "default"},                 
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},     
                        CutsceneSay	{TextTag = "Kor_01", Tag = "Kor", PlayTalkAnim = default},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 344.276, Y = 577.583},  
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 308.434},
                        FigureTeleport {Tag = "Beast01", X = 345.103, Y = 582.697},  
                        FigureLookAtDirection {Tag = "Beast01", Direction = 314.163},
                        FigureTeleport {Tag = "Beast02", X = 348.836, Y = 575.454},  
                        FigureLookAtDirection {Tag = "Beast02", Direction = 285.516},
                        EntityTimerStart {Name = "et2_CStimer_01"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_01", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureWalk {Tag = "pl_Human01Avatar", X = 338.375, Y = 575.273}, 
                        FigureWalk {Tag = "Beast01", X = 340.339, Y = 579.968},    
                        FigureWalk {Tag = "Beast02", X = 340.929, Y = 572.775},            
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 279.786},                
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Kor_02", Tag = "Kor", PlayTalkAnim = default},                   
                        EntityTimerStart {Name = "et2_CStimer_04"},
                },
                GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 9},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},            
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Kor_03", Tag = "Kor", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et2_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_06", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        VisualTimerStart {Seconds = 120}, 
                        MapTimerStart	{Name = "Gate_Open"},   
                        ObjectVanish	{Tag = "Osal_Gate01"}, 
                        ObjectVanish	{Tag = "Osal_Gate02"}, 
                        ObjectVanish	{Tag = "Osal_Gate03"}, 
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_kit1"},   
                        MapFlagSetTrue {Name = "Cult_Attack"},	
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cata01", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cata02", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cata03", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cata04", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cata05", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cata06", Range = 10, Height = 100},
		},	
		GotoState = "VisualTimer",	
        },
};

State
{
	StateName = "VisualTimer",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapTimerIsElapsed {Name = "Gate_Open", Seconds = 120},
                        MapFlagIsTrue {Name = "Cult_Attack"},	
                },
		Actions =
		{
                        GateSetOpen   {Tag = "Beast_Gate"},         
                        EntityTimerStart {Name = "Cult_Run"},
		},	
		GotoState = "Attacking01",	
        },
};

State
{
	StateName = "Attacking01",
        
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Cult_Run", Seconds = 5},
		},
		Actions =
		{                       
                        FigureRun {Tag = "Cult01", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult02", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult03", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult04", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult05", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult06", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult07", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult08", X = 331.678, Y = 585.055}, 
                        FigureRun {Tag = "Cult09", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult10", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult11", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult12", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult13", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult14", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult15", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult16", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult17", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult18", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult19", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult20", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult21", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult22", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult23", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult24", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult25", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult26", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult27", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult28", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult29", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult30", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult31", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult32", X = 331.678, Y = 585.055}, 
                        FigureRun {Tag = "Cult33", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult34", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult35", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult36", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult37", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult38", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult39", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult40", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult41", X = 331.678, Y = 585.055},
                        FigureRun {Tag = "Cult42", X = 331.678, Y = 585.055},
		},	
		GotoState = "EXP",	
        },
};

State
{
	StateName = "EXP",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			FigureIsDead {Tag = "Cult01"},
                        FigureIsDead {Tag = "Cult02"},
                        FigureIsDead {Tag = "Cult03"},
                        FigureIsDead {Tag = "Cult04"},
                        FigureIsDead {Tag = "Cult05"},
                        FigureIsDead {Tag = "Cult06"},
                        FigureIsDead {Tag = "Cult07"},
                        FigureIsDead {Tag = "Cult08"}, 
                        FigureIsDead {Tag = "Cult09"},
                        FigureIsDead {Tag = "Cult10"},
                        FigureIsDead {Tag = "Cult11"},
                        FigureIsDead {Tag = "Cult12"},
                        FigureIsDead {Tag = "Cult13"},
                        FigureIsDead {Tag = "Cult14"},
                        FigureIsDead {Tag = "Cult15"},
                        FigureIsDead {Tag = "Cult16"},
                        FigureIsDead {Tag = "Cult17"},
                        FigureIsDead {Tag = "Cult18"},
                        FigureIsDead {Tag = "Cult19"}, 
                        FigureIsDead {Tag = "Cult20"},
                        FigureIsDead {Tag = "Cult21"},
                        FigureIsDead {Tag = "Cult22"},
                        FigureIsDead {Tag = "Cult23"},
                        FigureIsDead {Tag = "Cult24"},
                        FigureIsDead {Tag = "Cult25"},
                        FigureIsDead {Tag = "Cult26"},
                        FigureIsDead {Tag = "Cult27"},
                        FigureIsDead {Tag = "Cult28"}, 
                        FigureIsDead {Tag = "Cult29"},
                        FigureIsDead {Tag = "Cult30"},
                        FigureIsDead {Tag = "Cult31"},
                        FigureIsDead {Tag = "Cult32"}, 
                        FigureIsDead {Tag = "Cult33"},
                        FigureIsDead {Tag = "Cult34"},
                        FigureIsDead {Tag = "Cult35"},
                        FigureIsDead {Tag = "Cult36"},
                        FigureIsDead {Tag = "Cult37"},
                        FigureIsDead {Tag = "Cult38"},
                        FigureIsDead {Tag = "Cult39"},
                        FigureIsDead {Tag = "Cult40"},
                        FigureIsDead {Tag = "Cult41"}, 
                        FigureIsDead {Tag = "Cult42"},
		},
		Actions =
		{
                        AvatarXPGive	{Player = "pl_Human01", Amount = 10980},
                        MapFlagSetTrue {Name = "Sorvina_Cutscene"},       
		},	
        },
};