State
{
       StateName = "CS_Cruel",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "End_Of_Attack"}, 
                        FigureIsDead {Tag = "Nameless01"},
                        FigureIsDead {Tag = "Nameless02"},
                        FigureIsDead {Tag = "Nameless03"},
                        FigureIsDead {Tag = "Nameless04"},
                        FigureIsDead {Tag = "Nameless05"},
                        FigureIsDead {Tag = "Nameless06"},
                        FigureIsDead {Tag = "Nameless07"},
                        FigureIsDead {Tag = "Nameless08"}, 
                        FigureIsDead {Tag = "Nameless09"},
                        FigureIsDead {Tag = "Nameless10"},
                        FigureIsDead {Tag = "Nameless11"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 8, X = 225.564, Y = 95.4434},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},           
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 219.633, Y = 95.8061},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 79.2509},                
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},              
                        CutsceneSay	{TextTag = "Cruel_01", Tag = "Cruel", PlayTalkAnim = default},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 222.481, Y = 95.6046},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Cruel_02", Tag = "Cruel", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene23",	
        },
};

State
{
	StateName = "Cutscene23",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene24",	
        },
};

State
{
	StateName = "Cutscene24",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 9270},
                        ObjectVanish	{Tag = "Stone01"}, 
                        ObjectVanish	{Tag = "Stone02"}, 
                        ObjectVanish	{Tag = "Stone03"},
                        DialogSetDisabled	{Tag = "Cruel"},
                        MapFlagSetTrue {Name = "Undead_Joined"},       
		},	
        },
};