State
{
       StateName = "Last_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Hedwig01"},
                        FigureVanish	{Tag = "Dummy_Hedwig02"},
                        FigureVanish	{Tag = "Dummy_Ragna01"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Boss_Fight"},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 126, Amount = 1},
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 8, X = 104.579, Y = 259.37},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        GateSetOpen   {Tag = "Cult_Gate"},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 126, Amount = 1},                
                        EntityTimerStart {Name = "et7_CStimer"},
		},	
		GotoState = "Cutscene70",	
        },
};

State
{
	StateName = "Cutscene70",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        EffectStart	{Tag = "Hedwig", File = "effect_misc_spawnspecial_02"},      
                        FigureTeleport {Tag = "Hedwig", X = 99.8567, Y = 267.742},
                        FigureLookAtDirection {Tag = "Hedwig", Direction = 21.9551},  
                        SoundGlobalPlayOnce	{File = "04_spells/fx_despawn_unit"},                   
                        EntityTimerStart {Name = "et7_CStimer_02"},
		},	
		GotoState = "Cutscene71",	
        },
};

State
{
	StateName = "Cutscene71",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_02", Seconds = 3},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureAnimPlayOnce    {Tag = "Hedwig", File = "base/gfx/figures/hero/figure_hero_female_resolve_enemy.ska"}, 
                        EffectStart	{Tag = "Hedwig", File = "effect_death_resolve"},
                        EffectStart	{Tag = "Ragna", File = "Effect_Misc_Resist"},                    
                        EntityTimerStart {Name = "et7_CStimer_03"},
		},	
		GotoState = "Cutscene72",	
        },
};

State
{
	StateName = "Cutscene72",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_03", Seconds = 3},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureLookAtDirection {Tag = "Ragna", Direction = 205.302},                       
                        CutsceneSay	{TextTag = "Ragna_01", Tag = "Ragna", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et7_CStimer_04"},
		},	
		GotoState = "Cutscene73",	
        },
};

State
{
	StateName = "Cutscene73",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        FigureAnimPlayOnce    {Tag = "Ragna", File = "base/gfx/figures/hero/figure_hero_male_resolve_enemy.ska"}, 
                        EffectStart	{Tag = "Ragna", File = "effect_death_resolve"},
                        EffectStart	{Tag = "Hedwig", File = "Effect_Death_Hit"},
                        FigureAnimPlayOnce    {Tag = "Hedwig", File = "base/gfx/figures/hero/figure_hero_female_hit3.ska"},                    
                        EntityTimerStart {Name = "Teleport01"},
		},	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Teleport01", Seconds = 2},
		},
		Actions =
		{                                                                                              
                        EffectStart	{Tag = "Ragna", File = "effect_misc_spawnspecial_02"},
                        EffectStart	{Tag = "Hedwig", File = "effect_misc_spawnspecial_02"}, 
                        EntityTimerStart {Name = "Teleport02"},
                },	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Teleport02", Seconds = 1},
		},
		Actions =
		{
                        FigureTeleport {Tag = "Hedwig", X = 118.201, Y = 306.843},
                        FigureLookAtDirection {Tag = "Hedwig", Direction = 84.0173},
                        FigureTeleport {Tag = "Ragna", X = 122.383, Y = 306.817},
                        FigureLookAtDirection {Tag = "Ragna", Direction = 279.786}, 
                        EntityTimerStart {Name = "et7_CStimer_05"},                     
		},	
		GotoState = "Cutscene74",	
        },
};


State
{
	StateName = "Cutscene74",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_05", Seconds = 1},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        EffectStart	{Tag = "Ragna", File = "effect_misc_spawnspecial_02"},
                        EffectStart	{Tag = "Hedwig", File = "effect_misc_spawnspecial_02"},                    
                        EntityTimerStart {Name = "Magic01"},
		},	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Magic01", Seconds = 3},
		},
		Actions =
		{         
                        FigureAnimPlayOnce    {Tag = "Ragna", File = "base/gfx/figures/hero/figure_hero_male_resolve_enemy.ska"},
                        FigureAnimPlayOnce    {Tag = "Hedwig", File = "base/gfx/figures/hero/figure_hero_female_resolve_enemy.ska"},                                                                                     
                        EffectStart	{Tag = "Ragna", File = "effect_lavacatapult_impact"},
                        EffectStart	{Tag = "Hedwig", File = "effect_lavacatapult_impact"}, 
                        EntityTimerStart {Name = "Magic02"},
                },	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Magic02", Seconds = 2},
		},
		Actions =
		{                                                                                    
                        EffectStart	{Tag = "Ragna", File = "effect_misc_spawnspecial_02"},
                        EntityTimerStart {Name = "Magic03"},
                },	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Magic03", Seconds = 1},
		},
		Actions =
		{                                                                                    
                        FigureVanish	{Tag = "Ragna"},
                        EntityTimerStart {Name = "et7_CStimer_06"},
                },
                GotoState = "Cutscene75",	
        },
};

State
{
	StateName = "Cutscene75",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_06", Seconds = 2},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Hedwig_01", Tag = "Hedwig", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et7_CStimer_07"},
		},
                GotoState = "Cutscene76",	
        },
};

State
{
	StateName = "Cutscene76",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        PortalEnable	{Tag = "Gate_Of_Blades03"},
                        ObjectVanish	{Tag = "Gate_Blocker"},
                        FigureVanish	{Tag = "Hedwig"},
                        FigureTeamTransfer {Tag = "Cult01", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Cult02", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Cult03", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Cult04", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Cult05", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Cult06", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Cult07", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Cult08", Team = "tm_Enemy"},
		},	
        },
};