State
{
	StateName = "Nameless_Attack",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			MapFlagIsTrue {Name = "Attack"},
		},
		Actions =
		{                                                              
                        EntityTimerStart {Name = "Summoning_Start"},
		},	
        },

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Summoning_Start", Seconds = 60},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger01", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger02", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger03", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger04", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger05", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger06", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger07", Level = 11, UnitId = 1655, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger08", Level = 11, UnitId = 1655, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned01"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned01"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run01"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run01", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger01", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger02", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger03", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger04", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger05", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger06", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger07", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger08", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn02"},
                },
                GotoState = "Spawning01",
	},
};

State
{
	StateName= "Spawning01",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn02", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger09", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger10", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger11", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger12", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger13", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger14", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger15", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger16", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned02"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned02"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run02"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run02", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger09", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger10", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger11", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger12", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger13", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger14", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger15", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger16", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn03"},
                },
                GotoState = "Spawning02",
	},
};

State
{
	StateName= "Spawning02",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn03", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger17", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger18", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger19", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger20", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger21", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger22", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger23", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger24", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned03"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned03"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run03"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run03", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger17", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger18", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger19", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger20", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger21", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger22", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger23", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger24", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn04"},
                },
                GotoState = "Spawning03",
	},
};

State
{
	StateName= "Spawning03",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn04", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger25", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger26", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger27", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger28", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger29", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger30", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger31", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger32", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned04"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned04"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run04"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run04", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger25", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger26", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger27", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger28", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger29", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger30", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger31", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger32", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn05"},
                },
                GotoState = "Spawning04",
	},
};

State
{
	StateName= "Spawning04",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn05", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger33", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger34", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger35", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger36", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger37", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger38", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger39", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger40", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned05"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned05"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run05"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run05", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger33", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger34", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger35", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger36", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger37", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger38", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger39", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger40", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn06"},
                },
                GotoState = "Spawning05",
	},
};

State
{
	StateName= "Spawning05",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn06", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger41", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger42", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger43", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger44", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger45", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger46", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger47", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger48", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned06"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned06"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run06"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run06", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger41", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger42", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger43", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger44", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger45", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger46", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger47", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger48", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn07"},
                },
                GotoState = "Spawning06",
	},
};

State
{
	StateName= "Spawning06",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn07", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger49", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger50", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger51", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger52", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger53", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger54", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger55", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger56", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned07"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned07"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run07"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run07", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger49", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger50", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger51", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger52", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger53", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger54", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger55", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger56", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn08"},
                },
                GotoState = "Spawning07",
	},
};

State
{
	StateName= "Spawning07",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn08", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger57", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger58", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger59", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger60", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger61", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger62", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger63", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger64", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned08"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned08"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run08"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run08", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger57", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger58", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger59", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger60", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger61", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger62", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger63", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger64", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn09"},
                },
                GotoState = "Spawning08",
	},
};

State
{
	StateName= "Spawning08",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn09", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger65", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger66", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger67", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger68", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger69", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger70", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger71", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger72", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned09"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned09"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run09"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run09", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger65", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger66", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger67", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger68", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger69", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger70", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger71", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger72", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn10"},
                },
                GotoState = "Spawning09",
	},
};

State
{
	StateName= "Spawning09",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn10", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger73", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger74", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger75", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger76", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger77", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger78", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger79", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger80", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned10"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned10"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run10"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run10", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger73", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger74", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger75", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger76", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger77", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger78", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger79", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger80", X = 279.811, Y = 293.656},
                        EntityTimerStart	{Name = "Spawn11"},
                },
                GotoState = "Spawning10",
	},
};

State
{
	StateName= "Spawning10",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn11", Seconds = 85},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Harbinger81", Level = 11, UnitId = 1656, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger82", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger83", Level = 11, UnitId = 1658, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger84", Level = 11, UnitId = 1657, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger85", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger86", Level = 11, UnitId = 1681, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger87", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Harbinger88", Level = 11, UnitId = 1675, X = 206.4, Y = 137.967, Team = "tm_Enemy"},
                        EntityFlagSetTrue	{Name = "Spawned11"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned11"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run11"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run11", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Harbinger81", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger82", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger83", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger84", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger85", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger86", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger87", X = 279.811, Y = 293.656},
                        FigureRun {Tag = "Harbinger88", X = 279.811, Y = 293.656},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cruel", Range = 10, Height = 100},
                        ObjectVanish	{Tag = "Blocker01"}, 
                        ObjectVanish	{Tag = "Blocker02"}, 
                        ObjectVanish	{Tag = "Blocker03"},
                        MapFlagSetTrue {Name = "End_Of_Attack"}, 
                        DialogTypeSetMainQuest	{Tag = "Cruel"},
                },
	},
};