State
{
       StateName = "Cutscene_Sara",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                },
        },

       OnOneTimeEvent
       {
                Conditions =
                {
                        BuildingIsDead	{Tag = "BD_01"},
                        BuildingIsDead	{Tag = "BD_02"},
                        BuildingIsDead	{Tag = "BD_03"},
                        BuildingIsDead	{Tag = "BD_04"},
                        BuildingIsDead	{Tag = "BD_05"},
                        MapFlagIsTrue {Name = "Gates02_Opened"},
                },
                Actions =
                {
                        DialogTypeSetMainQuest	{Tag = "Sara"},
                        MapFlagSetTrue {Name = "Sara_Dialog"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 107.666, Y = 306.292},
                        MapFlagIsTrue {Name = "Sara_Dialog"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sara_01", Tag = "Sara", PlayTalkAnim = default},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 108.92, Y = 308.841},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 341.848},          
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "Sara_02", Tag = "Sara", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et3_CStimer_03"},
		},	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureAnimPlayOnce      {Tag = "Trebuchet", File = "addon1/gfx/objects/prop/object_prop_realm_trebuchet_base_attack.ska"},               
                        EntityTimerStart {Name = "et3_CStimer_04"},
		},	
		GotoState = "Cutscene33",	
        },
};

State
{
	StateName = "Cutscene33",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_04", Seconds = 6},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        ObjectVanish	{Tag = "Shaikan_Gate03"},  
                        SoundGlobalPlayOnce	{File = "06_level/map_no_02_stonesfall"},
                        EffectStartAddon1	{Tag = "Shaikan_Gate_Effect", File = "Effect_Misc_GateCrash"},               
                        EntityTimerStart {Name = "et3_CStimer_05"},
		},	
		GotoState = "Cutscene34",	
        },
};

State
{
	StateName = "Cutscene34",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        ObjectSpawn	{ObjectId = 2504, X = 90.7185, Y = 353.009, Direction = 270, Tag = "Gate_Crashed"},
                        ObjectVanish	{Tag = "Shaikan_Gate_Effect"},  
                        PlayerResourceSilverGive {Player = "pl_Enemy02", Amount = 2000},
                        PlayerResourceLenyaGive {Player = "pl_Enemy02", Amount = 2000},
                        DialogSetDisabled	{Tag = "Sara"},
                        MapFlagSetTrue {Name = "Shaikan_Base02"},	
		},			
	},	
};