State
{
       StateName = "Cutscene_ShadowWarrior",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar10"},
                        FigureVanish	{Tag = "Dummy_Avatar15"},
                },
        },

       OnOneTimeEvent
       {
                Conditions =
                {
                        MapFlagIsTrue {Name = "Shadow_Warrior"},
                },
                Actions =
                {
                        DialogTypeSetMainQuest	{Tag = "ShadowWarrior"},
                        MapFlagSetTrue {Name = "ShadowWarrior_Dialog01"},
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 89.7491, Y = 93.7659},
                        MapFlagIsTrue {Name = "ShadowWarrior_Dialog01"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Begining01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 95.9951, Y = 93.8737},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 256.868},          
                        EntityTimerStart {Name = "et_CSBegin01"},
		},	
		GotoState = "CutsceneBegin01",	
        },
};

State
{
	StateName = "CutsceneBegin01",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CSBegin01", Seconds = 3},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_ShadowWarrior", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "ShadowWarrior_01", Tag = "ShadowWarrior", PlayTalkAnim = default},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 94.2404, Y = 93.7777},        
                        EntityTimerStart {Name = "et8_CStimer"},
		},	
		GotoState = "Cutscene80",	
        },
};

State
{
	StateName = "Cutscene80",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_14", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 256.868},                    
                        EntityTimerStart {Name = "et8_CStimer_02"},
		},	
		GotoState = "Cutscene81",	
        },
};

State
{
	StateName = "Cutscene81",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_ShadowWarrior", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "ShadowWarrior_02", Tag = "ShadowWarrior", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et8_CStimer_03"},
		},	
		GotoState = "Cutscene82",	
        },
};

State
{
	StateName = "Cutscene82",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "pl_Human01Avatar_15", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et8_CStimer_04"},
		},	
		GotoState = "Cutscene83",	
        },
};

State
{
	StateName = "Cutscene83",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Damaged", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "ShadowWarrior_03", Tag = "ShadowWarrior", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et8_CStimer_05"},
		},	
		GotoState = "Cutscene84",	
        },
};

State
{
	StateName = "Cutscene84",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "pl_Human01Avatar_16", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et8_CStimer_06"},
		},	
		GotoState = "Cutscene85",	
        },
};

State
{
	StateName = "Cutscene85",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_ShadowWarrior", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "ShadowWarrior_04", Tag = "ShadowWarrior", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et8_CStimer_07"},
		},	
		GotoState = "Cutscene86",	
        },
};

State
{
	StateName = "Cutscene86",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                       CutsceneSay	{TextTag = "pl_Human01Avatar_17", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et8_CStimer_08"},
		},	
		GotoState = "Cutscene87",	
        },
};

State
{
	StateName = "Cutscene87",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer_08", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "ShadowWarrior"},
                        PortalEnable	{Tag = "Greenstone_Field03"},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 9190},
		},			
	},	
};