State
{
       StateName = "Isle_Companions",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 377.609, Y = 425.734},
                        MapFlagIsTrue {Name = "Isle_Teleport"},
                },
		Actions =
		{
                        EffectStart	{Tag = "Paladin", File = "effect_misc_transformpanter"},
                        FigurePlayerTransfer {Tag = "Paladin", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "Paladin", Team = "tm_Human"}, 

                 },
        },
 
        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 393.456, Y = 473.006},
                        MapFlagIsTrue {Name = "Isle_Teleport"},
                },
		Actions =
		{
                        EffectStart	{Tag = "Gargoyle", File = "effect_misc_transformpanter"},
                        FigurePlayerTransfer {Tag = "Gargoyle", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "Gargoyle", Team = "tm_Human"}, 

                 },
        },
 
        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 390.82, Y = 511.033},
                        MapFlagIsTrue {Name = "Isle_Teleport"},
                },
		Actions =
		{
                        EffectStart	{Tag = "Druid", File = "effect_misc_transformpanter"},
                        FigurePlayerTransfer {Tag = "Druid", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "Druid", Team = "tm_Human"}, 

                 },
        },
         
        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 367.699, Y = 506.888},
                        MapFlagIsTrue {Name = "Isle_Teleport"},
                },
		Actions =
		{
                        EffectStart	{Tag = "Elite", File = "effect_misc_transformpanter"},
                        FigurePlayerTransfer {Tag = "Elite", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "Elite", Team = "tm_Human"}, 

                 },
        },
     
        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 352.294, Y = 460.091},
                        MapFlagIsTrue {Name = "Isle_Teleport"},
                },
		Actions =
		{
                        EffectStart	{Tag = "Sorceress", File = "effect_misc_transformpanter"},
                        FigurePlayerTransfer {Tag = "Sorceress", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "Sorceress", Team = "tm_Human"}, 

                 },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        BuildingIsDead	{Tag = "B01"},
                        BuildingIsDead	{Tag = "B02"},
                        BuildingIsDead	{Tag = "B03"},
                        BuildingIsDead	{Tag = "B04"},
                        BuildingIsDead	{Tag = "B05"},
                        FigureIsDead {Tag = "ShaikanBoss01"},
                        FigureIsDead {Tag = "ShaikanBoss02"},
                        FigureIsDead {Tag = "ShaikanBoss03"},
                        FigureIsDead {Tag = "ShaikanBoss04"},
                        FigureIsDead {Tag = "ShaikanBoss05"},
                        FigureIsDead {Tag = "ShaikanBoss06"},
                        FigureIsDead {Tag = "ShaikanBoss07"},
                        FigureIsDead {Tag = "ShaikanBoss08"},
                        FigureIsDead {Tag = "ShaikanBoss09"},
                        FigureIsDead {Tag = "ShaikanBoss10"},
                        FigureIsDead {Tag = "ShaikanBoss11"},
                        FigureIsDead {Tag = "ShaikanBoss12"},
                        FigureIsDead {Tag = "ShaikanBoss13"},
                        FigureIsDead {Tag = "ShaikanBoss14"},
                        MapFlagIsTrue {Name = "Isle_Teleport"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        GateSetOpen   {Tag = "Dwarf_Gate"},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_08", Tag = "pl_Human01Avatar", PlayTalkAnim = default},              
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName = "Cutscene50",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},               
                        CutsceneSay	{TextTag = "pl_Human01Avatar_09", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene51",	
        },
};

State
{
	StateName = "Cutscene51",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 15},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 8170},
                        MapFlagSetTrue {Name = "Return01"},
		},
                GotoState = "Returning01",	
        },
};

State
{
       StateName = "Returning01",

       OnOneTimeEvent
       {
                Conditions =
                {
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 404.417, Y = 428.166},
                        MapFlagIsTrue {Name = "Return01"},
                },
                Actions =
                {
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 454.138, Y = 378.715},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},
                        EffectStart	{Tag = "pl_Human01Avatar", File = "effect_misc_transformpanter"},
                },
        },
};