State
{
	StateName= "SQ_Elf",
	
------------------------------------
--Sidequest_Elf, Start, set Marker--
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "SQ_Elf"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 609.896, Y = 303.323},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Elf_01", Tag = "SQ_Elf"},
                        FigureOutcry	{TextTag = "SQ_Elf_02", Tag = "SQ_Elf"},
                        FigureOutcry	{TextTag = "SQ_Elf_03", Tag = "SQ_Elf"},
                        FigureOutcry	{TextTag = "SQ_Elf_04", Tag = "SQ_Elf"},			
			EntityFlagSetTrue	{Name = "SQ_Elf_Quest"},
			DialogSetDisabled	{Tag = "SQ_Elf"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsDead {Tag = "Ogre01"},
                        FigureIsDead {Tag = "Ogre02"},
                        FigureIsDead {Tag = "Ogre03"},
                        FigureIsDead {Tag = "Ogre04"},
                        EntityFlagIsTrue {Name = "SQ_Elf_Quest"},
		},
		Actions=
		{
			FigureRun {Tag = "Elven01", X = 601.946, Y = 294.655},	
                        ObjectVanish	{Tag = "Cage01"},	
			EntityFlagSetTrue	{Name = "Elven01_Freed"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsDead {Tag = "Ogre05"},
                        FigureIsDead {Tag = "Ogre06"},
                        FigureIsDead {Tag = "Ogre07"},
                        FigureIsDead {Tag = "Ogre08"},
                        EntityFlagIsTrue {Name = "SQ_Elf_Quest"},
		},
		Actions=
		{
			FigureRun {Tag = "Elven02", X = 601.946, Y = 294.655},	
                        ObjectVanish	{Tag = "Cage02"},	
			EntityFlagSetTrue	{Name = "Elven02_Freed"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsDead {Tag = "Ogre09"},
                        FigureIsDead {Tag = "Ogre10"},
                        FigureIsDead {Tag = "Ogre11"},
                        FigureIsDead {Tag = "Ogre12"},
                        FigureIsDead {Tag = "Ogre13"},
                        EntityFlagIsTrue {Name = "SQ_Elf_Quest"},
		},
		Actions=
		{
			FigureRun {Tag = "Elven03", X = 601.946, Y = 294.655},	
                        ObjectVanish	{Tag = "Cage03"},	
			EntityFlagSetTrue	{Name = "Elven03_Freed"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsDead {Tag = "Ogre14"},
                        FigureIsDead {Tag = "Ogre15"},
                        FigureIsDead {Tag = "Ogre16"},
                        FigureIsDead {Tag = "Ogre17"},
                        FigureIsDead {Tag = "Ogre18"},
                        EntityFlagIsTrue {Name = "SQ_Elf_Quest"},
		},
		Actions=
		{
			FigureRun {Tag = "Elven04", X = 601.946, Y = 294.655},	
                        ObjectVanish	{Tag = "Cage04"},	
			EntityFlagSetTrue	{Name = "Elven04_Freed"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsDead {Tag = "Ogre19"},
                        FigureIsDead {Tag = "Ogre20"},
                        FigureIsDead {Tag = "Ogre21"},
                        FigureIsDead {Tag = "Ogre22"},
                        FigureIsDead {Tag = "Ogre23"},
                        EntityFlagIsTrue {Name = "SQ_Elf_Quest"},
		},
		Actions=
		{
			FigureRun {Tag = "Elven05", X = 601.946, Y = 294.655},	
                        ObjectVanish	{Tag = "Cage05"},	
			EntityFlagSetTrue	{Name = "Elven05_Freed"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue {Name = "Elven01_Freed"},
                        EntityFlagIsTrue {Name = "Elven02_Freed"},
                        EntityFlagIsTrue {Name = "Elven03_Freed"},
                        EntityFlagIsTrue {Name = "Elven04_Freed"},
                        EntityFlagIsTrue {Name = "Elven05_Freed"},
                        EntityFlagIsTrue {Name = "SQ_Elf_Quest"},
                },
                Actions=
		{
			DialogSetEnabled	{Tag = "SQ_Elf"},
			DialogTypeSetSideQuest	{Tag = "SQ_Elf"},
                        EntityFlagSetTrue	{Name = "SQ_Elf_Quest_Completed"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 609.896, Y = 303.323},
			EntityFlagIsTrue {Name = "SQ_Elf_Quest_Completed"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Elf_05", Tag = "SQ_Elf"},
			FigureOutcry	{TextTag = "SQ_Elf_06", Tag = "SQ_Elf"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 1200},
			DialogSetDisabled	{Tag = "SQ_Elf"},
		},
	},
};