State
{
       StateName = "SQ_Sharduk",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar11"},
                        FigureVanish	{Tag = "Dummy_Avatar12"},
                        FigureVanish	{Tag = "Dummy_Avatar13"},
                        FigureVanish	{Tag = "Dummy_Avatar14"},
                        FigureVanish	{Tag = "Dummy_Sharduk01"},
                },
        },
------------------------------------
--Sidequest_Sharduk, Start, set Marker--
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "SQ_Sharduk"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 228.517, Y = 542.175},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Sharduk_01", Tag = "SQ_Sharduk"},
                        FigureOutcry	{TextTag = "SQ_Sharduk_02", Tag = "SQ_Sharduk"},
                        FigureOutcry	{TextTag = "SQ_Sharduk_03", Tag = "SQ_Sharduk"},
                        FigureOutcry	{TextTag = "SQ_Sharduk_04", Tag = "SQ_Sharduk"},			
			EntityFlagSetTrue	{Name = "SQ_Sharduk_Quest"},
			DialogSetDisabled	{Tag = "SQ_Sharduk"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "SQ_Sharduk_Quest"},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Lemuel"},
			DialogTypeSetSideQuest	{Tag = "Lemuel"},
			EntityFlagSetTrue	{Name = "Lemuel_Dialog"},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Lemuel", Range = 10, Height = 100},
		},
	},

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 8, X = 72.1598, Y = 565.917},
                        EntityFlagIsTrue	{Name = "Lemuel_Dialog"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Begining04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        ObjectVanish	{Tag = "Blocker_01"},
                        ObjectVanish	{Tag = "Blocker_02"},
                        FigureTeleport {Tag = "SQ_Sharduk", X = 65.8495, Y = 565.333},
                        FigureLookAtDirection {Tag = "SQ_Sharduk", Direction = 199.572},          
                        EntityTimerStart {Name = "et_CSBegin04"},
		},	
		GotoState = "CutsceneBegin04",	
        },
};

State
{
	StateName = "CutsceneBegin04",

	OnOneTimeEvent	
	{
		Conditions =
		{
                         EntityTimerIsElapsed {Name = "et_CSBegin04", Seconds = 3},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_08_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Lemuel_01", Tag = "Lemuel", PlayTalkAnim = default},
                        FigureWalk {Tag = "SQ_Sharduk", X = 59.8599, Y = 566.02},          
                        EntityTimerStart {Name = "et9_CStimer"},
		},	
		GotoState = "Cutscene90",	
        },
};

State
{
	StateName = "Cutscene90",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et9_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_08_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sharduk_01", Tag = "SQ_Sharduk", PlayTalkAnim = default},  
                        FigureLookAtDirection {Tag = "SQ_Sharduk", Direction = 199.572},                  
                        EntityTimerStart {Name = "et9_CStimer_02"},
		},	
		GotoState = "Cutscene91",	
        },
};

State
{
	StateName = "Cutscene91",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et9_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_08_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Lemuel_02", Tag = "Lemuel", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et9_CStimer_03"},
		},	
		GotoState = "Cutscene92",	
        },
};

State
{
	StateName = "Cutscene92",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et9_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_08_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Siobhan_01", Tag = "Siobhan", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et9_CStimer_04"},
		},	
		GotoState = "Cutscene93",	
        },
};

State
{
	StateName = "Cutscene93",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et9_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "Lemuel"},
                        MapFlagSetTrue {Name = "Dialogs"},
		},
                GotoState = "Returning_to_Sharduk",			
	},	
};

State
{
	StateName = "Returning_to_Sharduk",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			MapFlagIsTrue {Name = "Undar_Completed"},
                        MapFlagIsTrue {Name = "Mardrag_Completed"},
		},
		Actions =
		{                       
                        DialogSetEnabled	{Tag = "SQ_Sharduk"},
			DialogTypeSetSideQuest	{Tag = "SQ_Sharduk"},
			EntityFlagSetTrue	{Name = "SQ_Sharduk_Dialog02"},
                        FigureLookAtDirection {Tag = "SQ_Sharduk", Direction = 56.7701},
		},		
        },

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 59.8599, Y = 566.02},
                        EntityFlagIsTrue	{Name = "SQ_Sharduk_Dialog02"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "SQ_Sharduk_05", Tag = "SQ_Sharduk"},
			DialogSetDisabled	{Tag = "SQ_Sharduk"},
                        EntityTimerStart {Name = "Demons01"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                       EntityTimerIsElapsed {Name = "Demons01", Seconds = 5},
		},
		Actions=
		{
			FigureNpcSpawn	{Tag = "ShardukDemon_01", Level = 12, UnitId = 726, X = 61.6113, Y = 566.483, Team = "tm_Enemy"},
                        FigureLookAtDirection {Tag = "ShardukDemon_01", Direction = 74.2313},
                        FigureLootItemEquipmentAdd {Tag = "ShardukDemon_01", ItemId = 1120},
                        FigureVanish	{Tag = "SQ_Sharduk"},			
			EntityFlagSetTrue	{Name = "Demons01_Summon"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        FigureIsDead {Tag = "ShardukDemon_01"},
                        EntityFlagIsTrue {Name = "Demons01_Summon"},
                },
                Actions=
		{
			AvatarXPGive	{Player = "pl_Human01", Amount = 800},
		},
	},
};