State
{
       StateName = "cs_Mardrag",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar13"},
                        FigureVanish	{Tag = "Dummy_Avatar14"},
                },
        },
     
       OnOneTimeEvent
       {
                Conditions =
                {
                        MapFlagIsTrue {Name = "Dialogs"},
                },
                Actions =
                {
                        DialogTypeSetSideQuest	{Tag = "Mardrag"},
                        MapFlagSetTrue {Name = "Mardrag_Dialog"},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Mardrag", Range = 10, Height = 100},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 268.5, Y = 517.357},
                        MapFlagIsTrue {Name = "Mardrag_Dialog"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Begining03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 264.103, Y = 511.089},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 136.547},          
                        EntityTimerStart {Name = "et_CSBegin03"},
		},	
		GotoState = "CutsceneBegin03",	
        },
};

State
{
	StateName = "CutsceneBegin03",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CSBegin03", Seconds = 3},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Mardrag", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Mardrag_01", Tag = "Mardrag", PlayTalkAnim = default},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 266.261, Y = 514.173},        
                        EntityTimerStart {Name = "et20_CStimer"},
		},	
		GotoState = "Cutscene110",	
        },
};

State
{
	StateName = "Cutscene110",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et20_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_20", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 142.276},        
                        EntityTimerStart {Name = "et21_CStimer"},
		},	
		GotoState = "Cutscene111",	
        },
};

State
{
	StateName = "Cutscene111",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et21_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Mardrag", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Mardrag_02", Tag = "Mardrag", PlayTalkAnim = default},        
                        EntityTimerStart {Name = "et22_CStimer"},
		},	
		GotoState = "Cutscene112",	
        },
};

State
{
	StateName = "Cutscene112",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et22_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Player05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_21", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et23_CStimer"},
		},	
		GotoState = "Cutscene113",	
        },
};

State
{
	StateName = "Cutscene113",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et23_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_Mardrag", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Mardrag_03", Tag = "Mardrag", PlayTalkAnim = default},        
                        EntityTimerStart {Name = "et24_CStimer"},
		},	
		GotoState = "Cutscene114",	
        },
};

State
{
	StateName = "Cutscene114",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et24_CStimer", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogSetDisabled	{Tag = "Mardrag"},
                        MapFlagSetTrue {Name = "Mardrag_Completed"},	
		},			
	},	
};