State
{
	StateName= "Spirit",
	
------------------------------------
--Sidequest_Spirit, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Spirit"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 594.43, Y = 345.625},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Spirit_01", Tag = "Spirit"},
                        FigureOutcry	{TextTag = "Spirit_02", Tag = "Spirit"},
                        FigureOutcry	{TextTag = "Spirit_03", Tag = "Spirit"},
                        FigureOutcry	{TextTag = "Spirit_04", Tag = "Spirit"},			
			EntityFlagSetTrue	{Name = "Spirit_Quest"},
			DialogSetDisabled	{Tag = "Spirit"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue {Name = "Spirit_Quest"},
		},
		Actions=
		{
			ObjectSpawn	{ObjectId = 2581, X = 149.942, Y = 186.659, Direction = 0, Tag = "Effect_Darkness"},
                        FogOfWarReveal	{FogOfWarId = 0, X = 149.942, Y = 186.659, Range = 15, Height = 100},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 6, X = 149.942, Y = 186.659,},
                        EntityFlagIsTrue {Name = "Spirit_Quest"},
		},
		Actions=
		{
			FigureNpcSpawn	{Tag = "Nameless_01", Level = 8, UnitId = 1674, X = 150.939, Y = 187.67, Team = "tm_Team 2"},
                        FigureNpcSpawn	{Tag = "Nameless_02", Level = 7, UnitId = 1656, X = 148.561, Y = 187.382, Team = "tm_Team 2"},
                        FigureNpcSpawn	{Tag = "Nameless_03", Level = 7, UnitId = 1656, X = 151.584, Y = 185.415, Team = "tm_Team 2"},
                        FigureLookAtDirection {Tag = "Nameless_01", Direction = 136.547},
                        FigureLookAtDirection {Tag = "Nameless_02", Direction = 136.547},
                        FigureLookAtDirection {Tag = "Nameless_03", Direction = 136.547},
                        FigureLootItemEquipmentAdd {Tag = "Nameless_01", ItemId = 1249},
                        ObjectVanish	{Tag = "Effect_Darkness"},			
			EntityFlagSetTrue	{Name = "Demon_Summon"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        FigureIsDead {Tag = "Nameless_01"},
                        FigureIsDead {Tag = "Nameless_02"},
                        FigureIsDead {Tag = "Nameless_03"},
                        EntityFlagIsTrue {Name = "Demon_Summon"},
                },
                Actions=
		{
			DialogSetEnabled	{Tag = "Spirit"},
			DialogTypeSetSideQuest	{Tag = "Spirit"},
                        EntityFlagSetTrue	{Name = "Spirit_Quest_Completed"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 594.43, Y = 345.625},
			EntityFlagIsTrue {Name = "Spirit_Quest_Completed"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Spirit_05", Tag = "Spirit"},
			FigureOutcry	{TextTag = "Spirit_06", Tag = "Spirit"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 350},
			DialogSetDisabled	{Tag = "Spirit"},
		},
	},
};