State
{
       StateName = "Castle_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                },
        },

	OnOneTimeEvent
	{
		Conditions=
		{
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 125, Amount = 1},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 5, X = 668.466, Y = 64.2556},
                },
		Actions=
		{
	                GateSetOpen   {Tag = "Treasure_Gate"},
                        MapFlagSetTrue {Name = "Treasure_Found"},  
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 125, Amount = 1},
                        AvatarXPGive{Player = "pl_Human01", Amount = 650},   
                },
                GotoState = "Ghost",
	},
};

State
{
	StateName = "Ghost",

	OnOneTimeEvent
	{
		Conditions=
		{
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 126, Amount = 1},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 5, X = 683.253, Y = 111.321},
                },
		Actions=
		{
	                GateSetOpen   {Tag = "Ghost_Gate"},
                        MapFlagSetTrue {Name = "Ghost_Fight"},  
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 126, Amount = 1},
                        AvatarXPGive{Player = "pl_Human01", Amount = 650},   
                },
                GotoState = "GhostDeath",
	},
};

State
{
       StateName = "GhostDeath",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Ghost_Fight"},
                        FigureIsDead {Tag = "Ghost_Boss"},
                        FigureIsDead {Tag = "Servant01"},
                        FigureIsDead {Tag = "Servant02"},
                        FigureIsDead {Tag = "Servant03"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        ObjectVanish	{Tag = "Mordecay_Cage"},
                        CutsceneSay	{TextTag = "Mordecay_01", Tag = "Mordecay", PlayTalkAnim = default},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 677.379, Y = 127.007},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 159.465},              
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName = "Cutscene50",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene51",	
        },
};

State
{
	StateName = "Cutscene51",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Mordecay_02", Tag = "Mordecay", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et5_CStimer_03"},
		},	
		GotoState = "Cutscene52",	
        },
};

State
{
	StateName = "Cutscene52",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_08", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et5_CStimer_04"},
		},	
		GotoState = "Cutscene53",	
        },
};

State
{
	StateName = "Cutscene53",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Mordecay_03", Tag = "Mordecay", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et5_CStimer_05"},
		},	
		GotoState = "Cutscene54",	
        },
};

State
{
	StateName = "Cutscene54",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},      
                        GateSetOpen   {Tag = "Nameless_Base_Gate"},                  
                        CutsceneSay	{TextTag = "pl_Human01Avatar_09", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et5_CStimer_06"},
		},	
		GotoState = "Cutscene55",	
        },
};

State
{
	StateName = "Cutscene55",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_06", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 509.881, Y = 475.538},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},
                        FigureVanish	{Tag = "Mordecay"},
                        MapFlagSetTrue {Name = "Nameless_Gate_Opened"},           	
		},			
	},	
};