State
{
       StateName = "Cutscene_Yasha",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Yasha01"},
                },
        },

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Caine_Is_In_Party"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 15, X = 341.657, Y = 157.965},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        GateSetOpen   {Tag = "Shaikan_Gate01"},
                        GateSetOpen   {Tag = "Shaikan_Gate02"},
                        FigureVanish	{Tag = "Blade_01"},
                        FigureVanish	{Tag = "Blade_02"},
                        FigureVanish	{Tag = "Blade_03"},
                        FigureVanish	{Tag = "Blade_04"},
                        FigureVanish	{Tag = "Blade_05"},
                        FigureVanish	{Tag = "Nameless_01"},
                        FigureVanish	{Tag = "Nameless_02"},
                        FigureVanish	{Tag = "Nameless_03"},
                        FigureVanish	{Tag = "Nameless_04"},
                        FigureVanish	{Tag = "Nameless_05"},
                        FigureAnimPlayOnce      {Tag = "pl_Human01Avatar", File = "base/gfx/figures/hero/figure_hero_male_talk_listen.ska"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 357.001, Y = 120.629},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 319.893},
                        FigureTeleport {Tag = "Yasha", X = 354.034, Y = 118.589},
                        FigureLookAtDirection {Tag = "Yasha", Direction = 107.899},                
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Yasha_01", Tag = "Yasha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                 
                        EntityTimerStart {Name = "et3_CStimer_03"},
		},	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Yasha_02", Tag = "Yasha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_04"},
		},	
		GotoState = "Cutscene33",	
        },
};

State
{
	StateName = "Cutscene33",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_04", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Yasha_03", Tag = "Yasha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_05"},        	
		},
                GotoState = "Cutscene34",			
	},	
};

State
{
	StateName = "Cutscene34",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Doombringer", Range = 12, Height = 100},
                        FigureVanish	{Tag = "Yasha"},
                        MapFlagSetTrue {Name = "Shaikan_Base"},   
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_kit1"},
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 110},
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "HeroYasha", X = 354.034, Y = 118.589, Direction = 107.899},        	
		},			
	},	
};