State
{
       StateName = "Barbarian_Attack",

       OnOneTimeEvent
       {
                Conditions =
                {
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 18, X = 48.2977, Y = 456.277},
                },
                Actions =
                {
                        FigureRun {Tag = "Attacker01", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker02", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker03", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker04", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker05", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker06", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker07", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker08", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker09", X = 55.7813, Y = 456.219},
                        EntityFlagSetTrue	{Name = "First_Attack"},
                },
        },

       OnOneTimeEvent
       {
                Conditions =
                {
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 18, X = 77.6227, Y = 446.221},
                },
                Actions =
                {
                        FigureRun {Tag = "Attacker01", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker02", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker03", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker04", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker05", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker06", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker07", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker08", X = 55.7813, Y = 456.219},
                        FigureRun {Tag = "Attacker09", X = 55.7813, Y = 456.219},
                        EntityFlagSetTrue	{Name = "First_Attack"},
                },
        },

        OnOneTimeEvent
	{
		Conditions=
		{
                        FigureIsDead {Tag = "Attacker01"},
                        FigureIsDead {Tag = "Attacker02"},
                        FigureIsDead {Tag = "Attacker03"},
                        FigureIsDead {Tag = "Attacker04"},
                        FigureIsDead {Tag = "Attacker05"},
                        FigureIsDead {Tag = "Attacker06"},
                        FigureIsDead {Tag = "Attacker07"},
                        FigureIsDead {Tag = "Attacker08"},
                        FigureIsDead {Tag = "Attacker09"},
                        EntityFlagIsTrue {Name = "First_Attack"},
                },
                Actions=
		{
			MapFlagSetTrue {Name = "Castle_Cutscene"}, 
		},	
		GotoState = "Summoning_Barbarians",	
        },
};

State
{
	StateName = "Summoning_Barbarians",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			MapFlagIsTrue {Name = "ShrineCutscene"},
		},
		Actions =
		{                                                              
                        EntityTimerStart {Name = "Summoning_Start"},
		},	
        },

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Summoning_Start", Seconds = 270},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian01", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian02", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian03", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian04", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned01"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned01"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run01"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run01", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian01", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian02", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian03", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian04", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn02"},
                },
                GotoState = "Spawning01",
	},
};

State
{
	StateName= "Spawning01",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn02", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian05", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian06", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian07", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian08", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned02"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned02"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run02"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run02", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian05", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian06", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian07", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian08", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn03"},
                },
                GotoState = "Spawning02",
	},
};

State
{
	StateName= "Spawning02",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn03", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian09", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian10", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian11", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian12", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned03"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned03"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run03"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run03", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian09", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian10", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian11", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian12", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn04"},
                },
                GotoState = "Spawning03",
	},
};

State
{
	StateName= "Spawning03",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn04", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian13", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian14", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian15", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian16", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned04"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned04"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run04"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run04", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian13", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian14", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian15", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian16", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn05"},
                },
                GotoState = "Spawning04",
	},
};

State
{
	StateName= "Spawning04",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn05", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian17", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian18", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian19", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian20", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned05"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned05"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run05"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run05", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian17", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian18", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian19", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian20", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn06"},
                },
                GotoState = "Spawning05",
	},
};

State
{
	StateName= "Spawning05",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn06", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian21", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian22", Level = 6, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian23", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian24", Level = 6, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned06"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned06"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run06"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run06", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian21", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian22", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian23", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian24", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn07"},
                },
                GotoState = "Spawning06",
	},
};

State
{
	StateName= "Spawning06",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn07", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian25", Level = 7, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian26", Level = 7, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian27", Level = 7, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian28", Level = 7, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned07"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned07"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run07"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run07", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian25", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian26", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian27", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian28", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn08"},
                },
                GotoState = "Spawning07",
	},
};

State
{
	StateName= "Spawning07",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn08", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian29", Level = 7, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian30", Level = 7, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian31", Level = 7, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian32", Level = 7, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned08"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned08"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run08"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run08", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian29", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian30", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian31", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian32", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn09"},
                },
                GotoState = "Spawning08",
	},
};

State
{
	StateName= "Spawning08",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn09", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian33", Level = 7, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian34", Level = 7, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian35", Level = 7, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian36", Level = 7, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned09"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned09"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run09"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run09", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian33", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian34", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian35", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian36", X = 224.24, Y = 585.08},
                        EntityTimerStart	{Name = "Spawn10"},
                },
                GotoState = "Spawning09",
	},
};

State
{
	StateName= "Spawning09",

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Spawn10", Seconds = 70},
                },
		Actions=
		{
                        FigureNpcSpawn	{Tag = "Barbarian37", Level = 8, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian38", Level = 8, UnitId = 452, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian39", Level = 8, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        FigureNpcSpawn	{Tag = "Barbarian40", Level = 8, UnitId = 300, X = 70.9941, Y = 382.354, Team = "tm_Creep"},
                        EntityFlagSetTrue	{Name = "Spawned10"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Spawned10"},                
                },
		Actions=
		{
			EntityTimerStart	{Name = "Run10"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityTimerIsElapsed	{Name = "Run10", Seconds = 5},
                },
		Actions=
		{
                        FigureRun {Tag = "Barbarian37", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian38", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian39", X = 224.24, Y = 585.08},
                        FigureRun {Tag = "Barbarian40", X = 224.24, Y = 585.08},
                },
	},
};