State
{
       StateName = "Dragon_Cutscene01",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Avatar06"},
                        FigureVanish	{Tag = "Dummy_SoulCarrier"},
                        FigureVanish	{Tag = "Dummy_SoulCarrier02"},
                },		
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 17, X = 135.017, Y = 526.745},
                        MapFlagIsTrue {Name = "DragonCutscene"}, 
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        GateSetOpen   {Tag = "Base_Gate"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 204.129, Y = 596.919},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 84.9805},                 
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},  
                        FigureWalk {Tag = "pl_Human01Avatar", X = 230.98, Y = 596.313},                                          
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "SoulCarrier_01", Tag = "Soul_Carrier01", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_03"},
		},	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 191.916},                       
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_04"},
		},	
		GotoState = "Cutscene33",	
        },
};

State
{
	StateName = "Cutscene33",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "SoulCarrier_02", Tag = "Soul_Carrier01", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_05"},
		},	
		GotoState = "Cutscene34",	
        },
};

State
{
	StateName = "Cutscene34",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_06"},
		},	
		GotoState = "Cutscene35",	
        },
};

State
{
	StateName = "Cutscene35",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "SoulCarrier_03", Tag = "Soul_Carrier01", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_07"},
		},	
		GotoState = "Cutscene36",	
        },
};

State
{
	StateName = "Cutscene36",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "SoulCarrier_04", Tag = "Soul_Carrier01", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_08"},
		},	
		GotoState = "Cutscene37",	
        },
};

State
{
	StateName = "Cutscene37",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_08", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        MapFlagSetTrue {Name = "ShrineCutscene"}, 
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Spirit_Shrine", Range = 15, Height = 100},
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_kit1"},  
                        PlayerResourceSilverGive {Player = "pl_Player 2", Amount = 900},
                        PlayerResourceStoneGive {Player = "pl_Player 2", Amount = 900},
                        PlayerResourceLenyaGive {Player = "pl_Player 2", Amount = 900},                 	
		},	
		GotoState = "CutsceneDragonSecond",	
        },
};

State
{
       StateName = "CutsceneDragonSecond",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "DragonLastCutscene"}, 
                        BuildingIsDead {Tag = "Nameless01"},
                        BuildingIsDead {Tag = "Nameless02"},
                        BuildingIsDead {Tag = "Nameless03"},
                        BuildingIsDead {Tag = "Nameless04"},
                        BuildingIsDead {Tag = "Nameless05"},
                        BuildingIsDead {Tag = "Nameless06"},
                        BuildingIsDead {Tag = "Nameless07"},
                        BuildingIsDead {Tag = "Nameless08"},
                        BuildingIsDead {Tag = "Nameless09"},
                        BuildingIsDead {Tag = "Nameless10"},
                        BuildingIsDead {Tag = "Nameless11"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},  
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 593.695, Y = 486.788},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 101.206},
                        FigureTeleport {Tag = "Soul_Carrier01", X = 604.251, Y = 490.986},
                        FigureLookAtDirection {Tag = "Soul_Carrier01", Direction = 211.031},
                        CutsceneSay	{TextTag = "SoulCarrier_05", Tag = "Soul_Carrier01", PlayTalkAnim = default},                
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName = "Cutscene50",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},  
                        CutsceneSay	{TextTag = "pl_Human01Avatar_09", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene51",	
        },
};

State
{
	StateName = "Cutscene51",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "SoulCarrier_06", Tag = "Soul_Carrier01", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et5_CStimer_03"},
		},	
		GotoState = "Cutscene52",	
        },
};

State
{
	StateName = "Cutscene52",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureNpcSpawn	{Tag = "SoulCarrier_flying", Level = 1, UnitId = 1455, X = 559.588, Y = 426.194, Team = "tm_Neutral"},
                        FigureLookAtDirection {Tag = "SoulCarrier_flying", Direction = 268.327},                       
                        CutsceneSay	{TextTag = "pl_Human01Avatar_10", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et5_CStimer_04"},
		},	
		GotoState = "Cutscene53",	
        },
};

State
{
	StateName = "Cutscene53",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        FigureRun {Tag = "SoulCarrier_flying", X = 466.725, Y = 430.058},                    
                        EntityTimerStart {Name = "et5_CStimer_05"},
		},	
		GotoState = "Cutscene54",	
        },
};

State
{
	StateName = "Cutscene54",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        FigureVanish	{Tag = "SoulCarrier_flying"},
                        FigureVanish	{Tag = "Soul_Carrier01"},
                        PortalEnable	{Tag = "Rune_Sea02"},
                        AvatarXPGive{Player = "pl_Human01", Amount = 3970},
		},
        },
};