State
{
	StateName= "Druid",
	
------------------------------------
--Sidequest_Druid, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Druid"},
                        FigureVanish	{Tag = "Dummy_Barubas01"},
                        FigureVanish	{Tag = "Dummy_Barubas02"},
                        FigureVanish	{Tag = "Dummy_Barubas03"},
                        FigureVanish	{Tag = "Dummy_Barubas04"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 67.2822, Y = 579.046},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Druid_01", Tag = "default"},
			FigureOutcry	{TextTag = "Druid_02", Tag = "default"},
			FigureOutcry	{TextTag = "Druid_03", Tag = "default"},
                        FigureOutcry	{TextTag = "Druid_04", Tag = "default"},
                        FigureOutcry	{TextTag = "Druid_05", Tag = "default"},			
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Druid"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Druidquest_01", DropChance = 100, ItemId = 21},
                        ObjectLootItemMiscAdd	{Tag = "Druidquest_02", DropChance = 100, ItemId = 22},
                        ObjectLootItemMiscAdd	{Tag = "Druidquest_03", DropChance = 100, ItemId = 29},
                        ObjectLootItemMiscAdd	{Tag = "Druidquest_04", DropChance = 100, ItemId = 23},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Quest_Acception"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 7, X = 69.2543, Y = 508.98},
                },
		Actions=
		{
	                FigureNpcSpawn	{Tag = "Barubas01", Level = 6, UnitId = 1299, X = 67.6249, Y = 508.784, Team = "tm_Creep"},
                },
	},
 
        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Quest_Acception"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 7, X = 65.3536, Y = 425.449},
                },
		Actions=
		{
	                FigureNpcSpawn	{Tag = "Barubas02", Level = 8, UnitId = 1301, X = 65.3536, Y = 425.449, Team = "tm_Creep"},
                },
	},
       
        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Quest_Acception"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 7, X = 53.6549, Y = 271.61},
                },
		Actions=
		{
	                FigureNpcSpawn	{Tag = "Barubas03", Level = 8, UnitId = 1300, X = 52.528, Y = 271.191, Team = "tm_Creep"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Quest_Acception"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 7, X = 43.6739, Y = 241.486},
                },
		Actions=
		{
	                FigureNpcSpawn	{Tag = "Barubas04", Level = 10, UnitId = 1298, X = 45.1702, Y = 242.36, Team = "tm_Creep"},
                },
	},
----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 21, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 22, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 23, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 29, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Druid"},
			DialogTypeSetSideQuest	{Tag = "Druid"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 67.2822, Y = 579.046},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 21, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 22, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 23, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 29, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 21, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 22, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 23, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 29, Amount = 1},
			FigureOutcry	{TextTag = "Druid_06", Tag = "default"},
			FigureOutcry	{TextTag = "Druid_07", Tag = "default"},
                        FigurePlayerTransfer {Tag = "Grimroot", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "Grimroot", Team = "tm_Team 1"},
                        FigureAbilityAdd	{Tag = "Grimroot", AbilityId = Ability.OnHitDecay },
                        FigureAbilityAdd	{Tag = "Grimroot", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Grimroot", AbilityId = Ability.HitMultiple },
			AvatarXPGive	{Player = "pl_Human01", Amount = 500},
			DialogSetDisabled	{Tag = "Druid"},
		},
	},
};