State
{
	StateName= "Scout",
	
------------------------------------
--Sidequest_Scout, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Scout"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 43.0693, Y = 47.4515},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Scout_01", Tag = "Scout"},
			FigureOutcry	{TextTag = "Scout_02", Tag = "Scout"},
			FigureOutcry	{TextTag = "Scout_03", Tag = "Scout"},
                        FigureOutcry	{TextTag = "Scout_04", Tag = "Scout"},			
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Scout"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Haldor"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 37.711, Y = 63.53},
                        EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Haldor_01", Tag = "Haldor"},
			FigureOutcry	{TextTag = "Haldor_02", Tag = "Haldor"},
			EntityFlagSetTrue	{Name = "Haldor_Battle"},
			DialogSetDisabled	{Tag = "Haldor"},
                        EntityTimerStart	{Name = "Loop"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Haldor_Battle"},
                        EntityTimerIsElapsed	{Name = "Loop", Seconds = 7},
		},
		Actions=
		{
			FigureNpcSpawn	{Tag = "Undead_01", Level = 6, UnitId = 862, X = 35.7446, Y = 62.8698, Team = "tm_Creep"},  
                        FigureLookAtDirection {Tag = "Undead_01", Direction = 0},    
                        EntityFlagSetTrue	{Name = "Undead_01_Spawned"},	
		},
	},

        OnOneTimeEvent	
	{
		Conditions =
		{				
			FigureIsDead {Tag = "Undead_01"},
                        EntityFlagIsTrue	{Name = "Undead_01_Spawned"},
		},
		Actions =
		{
                        FigureNpcSpawn	{Tag = "Undead_02", Level = 6, UnitId = 730, X = 35.7446, Y = 62.8698, Team = "tm_Creep"},  
                        FigureLookAtDirection {Tag = "Undead_02", Direction = 0},    
                        EntityFlagSetTrue	{Name = "Undead_02_Spawned"},		
		},	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			FigureIsDead {Tag = "Undead_02"},
                        EntityFlagIsTrue	{Name = "Undead_02_Spawned"},
		},
		Actions =
		{
                        FigureNpcSpawn	{Tag = "Undead_03", Level = 8, UnitId = 741, X = 35.7446, Y = 62.8698, Team = "tm_Creep"},  
                        FigureLookAtDirection {Tag = "Undead_03", Direction = 0},    
                        EntityFlagSetTrue	{Name = "Undead_03_Spawned"},
		},	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			FigureIsDead {Tag = "Undead_03"},
                        EntityFlagIsTrue	{Name = "Undead_03_Spawned"},
		},
		Actions =
		{  
                        FigureTeamTransfer {Tag = "Haldor", Team = "tm_Creep"},	
		},	
        },

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsDead {Tag = "Undead_01"},
                        FigureIsDead {Tag = "Undead_02"},
                        FigureIsDead {Tag = "Undead_03"},
                        FigureIsDead {Tag = "Haldor"},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Scout"},
			DialogTypeSetSideQuest	{Tag = "Scout"},
			EntityFlagSetTrue	{Name = "Haldor_Dead"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 6, X = 43.0693, Y = 47.4515},
			EntityFlagIsTrue	{Name = "Haldor_Dead"},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 71, Amount = 1},
			FigureOutcry	{TextTag = "Scout_05", Tag = "Scout"},
			FigureOutcry	{TextTag = "Scout_06", Tag = "Scout"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 680},
			DialogSetDisabled	{Tag = "Scout"},
		},
	},
};