State
{
       StateName = "Spirit_Shrine",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                        FigureVanish	{Tag = "Dummy_Lya"},
                        FigureVanish	{Tag = "Dummy_Cenwen"},
                        FigureVanish	{Tag = "Dummy_Sansha"},
                },		
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Beast01"},
                        FigureIsDead {Tag = "Beast02"},
                        FigureIsDead {Tag = "Beast03"},
                        FigureIsDead {Tag = "Beast04"},
                        FigureIsDead {Tag = "Beast05"},
                        BuildingIsDead {Tag = "Building01"},
                        BuildingIsDead {Tag = "Building02"},
                        BuildingIsDead {Tag = "Building03"},
                        BuildingIsDead {Tag = "Building04"},
                        BuildingIsDead {Tag = "Building05"},
                        BuildingIsDead {Tag = "Building06"},
                        BuildingIsDead {Tag = "Building07"},
                        BuildingIsDead {Tag = "Building08"},
                        BuildingIsDead {Tag = "Building09"},
                        BuildingIsDead {Tag = "Building10"},
                        BuildingIsDead {Tag = "Building11"},
                        BuildingIsDead {Tag = "Building12"},
                        BuildingIsDead {Tag = "Building13"},
                        BuildingIsDead {Tag = "Building14"},
                        BuildingIsDead {Tag = "Building15"},
                        BuildingIsDead {Tag = "Building16"},
                        MapFlagIsTrue {Name = "ShrineCutscene"}, 
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureNpcSpawn	{Tag = "Lya", Level = 1, UnitId = 412, X = 631.044, Y = 563.185, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Cenwen", Level = 1, UnitId = 1196, X = 633.071, Y = 559.892, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Sansha", Level = 30, UnitId = 368, X = 631.228, Y = 556.599, Team = "tm_Neutral"},
                        FigureLookAtDirection {Tag = "Lya", Direction = 296.012},
                        FigureLookAtDirection {Tag = "Cenwen", Direction = 274.056},
                        FigureLookAtDirection {Tag = "Sansha", Direction = 239.679},
                        EffectStart	{Tag = "Cenwen", File = "effect_misc_elvenobession_ghosts"},
                        EffectStart	{Tag = "Lya", File = "effect_misc_elvenobession_ghosts"},
                        EffectStart	{Tag = "Sansha", File = "effect_misc_elvenobession_ghosts"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 627.097, Y = 559.829},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 96.4397},                 
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },
};

State
{
	StateName = "Cutscene40",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},  
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene41",	
        },
};

State
{
	StateName = "Cutscene41",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Lya_01", Tag = "Lya", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene42",	
        },
};

State
{
	StateName = "Cutscene42",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                      
                        CutsceneSay	{TextTag = "pl_Human01Avatar_08", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_04"},
		},	
		GotoState = "Cutscene43",	
        },
};

State
{
	StateName = "Cutscene43",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Cenwen_01", Tag = "Cenwen", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_05"},
		},	
		GotoState = "Cutscene44",	
        },
};

State
{
	StateName = "Cutscene44",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sansha_01", Tag = "Sansha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_06"},
		},	
		GotoState = "Cutscene45",	
        },
};

State
{
	StateName = "Cutscene45",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Lya_02", Tag = "Lya", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_07"},
		},	
		GotoState = "Cutscene46",	
        },
};

State
{
	StateName = "Cutscene46",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sansha_02", Tag = "Sansha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_08"},
		},	
		GotoState = "Cutscene47",	
        },
};

State
{
	StateName = "Cutscene47",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_08", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_09", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sansha_03", Tag = "Sansha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer_09"},
		},	
		GotoState = "Cutscene48",	
        },
};

State
{
	StateName = "Cutscene48",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_09", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        FigureVanish	{Tag = "Lya"},
                        FigureVanish	{Tag = "Cenwen"},
                        FigureVanish	{Tag = "Sansha"},
                        AvatarXPGive{Player = "pl_Human01", Amount = 2710},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Element02", Range = 25, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Element05", Range = 25, Height = 100},  
                        MapFlagSetTrue {Name = "Elemental"},           	
		},			
	},	
};